------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version : 1.8
--  \   \         Application : Virtex-6 FPGA GTX Transceiver Wizard 
--  /   /         Filename : mgt_32gbps_16bit_1to12_top.vhd
-- /___/   /\     Timestamp : 
-- \   \  /  \ 
--  \___\/\___\
--
--
-- Module MGT_32GBPS_16BIT_1TO12_TOP
-- Generated by Xilinx Virtex-6 FPGA GTX Transceiver Wizard
-- 
-- 
-- (c) Copyright 2009-2010 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES. 


library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

--***********************************Entity Declaration************************

entity MGT_32GBPS_16BIT_1TO12_TOP is
generic
(
    EXAMPLE_CONFIG_INDEPENDENT_LANES        : integer   := 1;
    EXAMPLE_LANE_WITH_START_CHAR            : integer   := 0;    -- specifies lane with unique start frame ch
    EXAMPLE_WORDS_IN_BRAM                   : integer   := 512;  -- specifies amount of data in BRAM
    EXAMPLE_SIM_GTXRESET_SPEEDUP            : integer   := 0;    -- simulation setting for GTX SecureIP model
    EXAMPLE_USE_CHIPSCOPE                   : integer   := 1     -- Set to 1 to use Chipscope to drive resets
);
port
(
    Q3_CLK0_MGTREFCLK_PAD_N_IN              : in   std_logic;
    Q3_CLK0_MGTREFCLK_PAD_P_IN              : in   std_logic;
    GTXTXRESET_IN                           : in   std_logic;
    GTXRXRESET_IN                           : in   std_logic;
    TRACK_DATA_OUT                          : out  std_logic;
    RXN_IN                                  : in   std_logic_vector(11 downto 0);
    RXP_IN                                  : in   std_logic_vector(11 downto 0);
    TXN_OUT                                 : out  std_logic_vector(11 downto 0);
    TXP_OUT                                 : out  std_logic_vector(11 downto 0)
    
);


end MGT_32GBPS_16BIT_1TO12_TOP;
    
architecture RTL of MGT_32GBPS_16BIT_1TO12_TOP is

--**************************Component Declarations*****************************


component MGT_32GBPS_16BIT_1TO12 
generic
(
    -- Simulation attributes
    WRAPPER_SIM_GTXRESET_SPEEDUP    : integer   := 0 -- Set to 1 to speed up sim reset
);
port
(

    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX0  (X0_Y8)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX0_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX0_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX0_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX0_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX0_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX0_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX0_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX0_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX0_RXRECCLK_OUT                       : out  std_logic;
    GTX0_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX0_RXN_IN                             : in   std_logic;
    GTX0_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX0_GTXRXRESET_IN                      : in   std_logic;
    GTX0_MGTREFCLKRX_IN                     : in   std_logic;
    GTX0_PLLRXRESET_IN                      : in   std_logic;
    GTX0_RXPLLLKDET_OUT                     : out  std_logic;
    GTX0_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX0_TXN_OUT                            : out  std_logic;
    GTX0_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX1  (X0_Y9)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX1_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX1_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX1_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX1_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX1_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX1_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX1_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX1_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX1_RXRECCLK_OUT                       : out  std_logic;
    GTX1_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX1_RXN_IN                             : in   std_logic;
    GTX1_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX1_GTXRXRESET_IN                      : in   std_logic;
    GTX1_MGTREFCLKRX_IN                     : in   std_logic;
    GTX1_PLLRXRESET_IN                      : in   std_logic;
    GTX1_RXPLLLKDET_OUT                     : out  std_logic;
    GTX1_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX1_TXN_OUT                            : out  std_logic;
    GTX1_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX2  (X0_Y10)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX2_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX2_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX2_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX2_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX2_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX2_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX2_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX2_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX2_RXRECCLK_OUT                       : out  std_logic;
    GTX2_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX2_RXN_IN                             : in   std_logic;
    GTX2_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX2_GTXRXRESET_IN                      : in   std_logic;
    GTX2_MGTREFCLKRX_IN                     : in   std_logic;
    GTX2_PLLRXRESET_IN                      : in   std_logic;
    GTX2_RXPLLLKDET_OUT                     : out  std_logic;
    GTX2_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX2_TXN_OUT                            : out  std_logic;
    GTX2_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX3  (X0_Y11)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX3_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX3_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX3_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX3_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX3_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX3_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX3_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX3_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX3_RXRECCLK_OUT                       : out  std_logic;
    GTX3_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX3_RXN_IN                             : in   std_logic;
    GTX3_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX3_GTXRXRESET_IN                      : in   std_logic;
    GTX3_MGTREFCLKRX_IN                     : in   std_logic;
    GTX3_PLLRXRESET_IN                      : in   std_logic;
    GTX3_RXPLLLKDET_OUT                     : out  std_logic;
    GTX3_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX3_TXN_OUT                            : out  std_logic;
    GTX3_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX4  (X0_Y12)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX4_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX4_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX4_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX4_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX4_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX4_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX4_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX4_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX4_RXRECCLK_OUT                       : out  std_logic;
    GTX4_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX4_RXN_IN                             : in   std_logic;
    GTX4_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX4_GTXRXRESET_IN                      : in   std_logic;
    GTX4_MGTREFCLKRX_IN                     : in   std_logic;
    GTX4_PLLRXRESET_IN                      : in   std_logic;
    GTX4_RXPLLLKDET_OUT                     : out  std_logic;
    GTX4_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX4_TXN_OUT                            : out  std_logic;
    GTX4_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX5  (X0_Y13)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX5_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX5_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX5_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX5_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX5_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX5_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX5_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX5_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX5_RXRECCLK_OUT                       : out  std_logic;
    GTX5_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX5_RXN_IN                             : in   std_logic;
    GTX5_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX5_GTXRXRESET_IN                      : in   std_logic;
    GTX5_MGTREFCLKRX_IN                     : in   std_logic;
    GTX5_PLLRXRESET_IN                      : in   std_logic;
    GTX5_RXPLLLKDET_OUT                     : out  std_logic;
    GTX5_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX5_TXN_OUT                            : out  std_logic;
    GTX5_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX6  (X0_Y14)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX6_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX6_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX6_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX6_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX6_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX6_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX6_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX6_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX6_RXRECCLK_OUT                       : out  std_logic;
    GTX6_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX6_RXN_IN                             : in   std_logic;
    GTX6_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX6_GTXRXRESET_IN                      : in   std_logic;
    GTX6_MGTREFCLKRX_IN                     : in   std_logic;
    GTX6_PLLRXRESET_IN                      : in   std_logic;
    GTX6_RXPLLLKDET_OUT                     : out  std_logic;
    GTX6_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX6_TXN_OUT                            : out  std_logic;
    GTX6_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX7  (X0_Y15)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX7_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX7_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX7_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX7_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX7_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX7_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX7_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX7_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX7_RXRECCLK_OUT                       : out  std_logic;
    GTX7_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX7_RXN_IN                             : in   std_logic;
    GTX7_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX7_GTXRXRESET_IN                      : in   std_logic;
    GTX7_MGTREFCLKRX_IN                     : in   std_logic;
    GTX7_PLLRXRESET_IN                      : in   std_logic;
    GTX7_RXPLLLKDET_OUT                     : out  std_logic;
    GTX7_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX7_TXN_OUT                            : out  std_logic;
    GTX7_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX8  (X0_Y16)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX8_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX8_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX8_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX8_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX8_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX8_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX8_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX8_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX8_RXRECCLK_OUT                       : out  std_logic;
    GTX8_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX8_RXN_IN                             : in   std_logic;
    GTX8_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX8_GTXRXRESET_IN                      : in   std_logic;
    GTX8_MGTREFCLKRX_IN                     : in   std_logic;
    GTX8_PLLRXRESET_IN                      : in   std_logic;
    GTX8_RXPLLLKDET_OUT                     : out  std_logic;
    GTX8_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX8_TXN_OUT                            : out  std_logic;
    GTX8_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX9  (X0_Y17)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX9_RXPOWERDOWN_IN                     : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX9_RXCHARISK_OUT                      : out  std_logic_vector(1 downto 0);
    GTX9_RXDISPERR_OUT                      : out  std_logic_vector(1 downto 0);
    GTX9_RXNOTINTABLE_OUT                   : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX9_RXCLKCORCNT_OUT                    : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX9_RXENMCOMMAALIGN_IN                 : in   std_logic;
    GTX9_RXENPCOMMAALIGN_IN                 : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX9_RXDATA_OUT                         : out  std_logic_vector(15 downto 0);
    GTX9_RXRECCLK_OUT                       : out  std_logic;
    GTX9_RXUSRCLK2_IN                       : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX9_RXN_IN                             : in   std_logic;
    GTX9_RXP_IN                             : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX9_GTXRXRESET_IN                      : in   std_logic;
    GTX9_MGTREFCLKRX_IN                     : in   std_logic;
    GTX9_PLLRXRESET_IN                      : in   std_logic;
    GTX9_RXPLLLKDET_OUT                     : out  std_logic;
    GTX9_RXRESETDONE_OUT                    : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX9_TXN_OUT                            : out  std_logic;
    GTX9_TXP_OUT                            : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX10  (X0_Y18)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX10_RXPOWERDOWN_IN                    : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX10_RXCHARISK_OUT                     : out  std_logic_vector(1 downto 0);
    GTX10_RXDISPERR_OUT                     : out  std_logic_vector(1 downto 0);
    GTX10_RXNOTINTABLE_OUT                  : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX10_RXCLKCORCNT_OUT                   : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX10_RXENMCOMMAALIGN_IN                : in   std_logic;
    GTX10_RXENPCOMMAALIGN_IN                : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX10_RXDATA_OUT                        : out  std_logic_vector(15 downto 0);
    GTX10_RXRECCLK_OUT                      : out  std_logic;
    GTX10_RXUSRCLK2_IN                      : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX10_RXN_IN                            : in   std_logic;
    GTX10_RXP_IN                            : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX10_GTXRXRESET_IN                     : in   std_logic;
    GTX10_MGTREFCLKRX_IN                    : in   std_logic;
    GTX10_PLLRXRESET_IN                     : in   std_logic;
    GTX10_RXPLLLKDET_OUT                    : out  std_logic;
    GTX10_RXRESETDONE_OUT                   : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX10_TXN_OUT                           : out  std_logic;
    GTX10_TXP_OUT                           : out  std_logic;



    --_________________________________________________________________________
    --_________________________________________________________________________
    --GTX11  (X0_Y19)

    ------------------------ Loopback and Powerdown Ports ----------------------
    GTX11_RXPOWERDOWN_IN                    : in   std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    GTX11_RXCHARISK_OUT                     : out  std_logic_vector(1 downto 0);
    GTX11_RXDISPERR_OUT                     : out  std_logic_vector(1 downto 0);
    GTX11_RXNOTINTABLE_OUT                  : out  std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    GTX11_RXCLKCORCNT_OUT                   : out  std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    GTX11_RXENMCOMMAALIGN_IN                : in   std_logic;
    GTX11_RXENPCOMMAALIGN_IN                : in   std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    GTX11_RXDATA_OUT                        : out  std_logic_vector(15 downto 0);
    GTX11_RXRECCLK_OUT                      : out  std_logic;
    GTX11_RXUSRCLK2_IN                      : in   std_logic;
    ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
    GTX11_RXN_IN                            : in   std_logic;
    GTX11_RXP_IN                            : in   std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    GTX11_GTXRXRESET_IN                     : in   std_logic;
    GTX11_MGTREFCLKRX_IN                    : in   std_logic;
    GTX11_PLLRXRESET_IN                     : in   std_logic;
    GTX11_RXPLLLKDET_OUT                    : out  std_logic;
    GTX11_RXRESETDONE_OUT                   : out  std_logic;
    ---------------- Transmit Ports - TX Driver and OOB signaling --------------
    GTX11_TXN_OUT                           : out  std_logic;
    GTX11_TXP_OUT                           : out  std_logic


);
end component;

component MGT_USRCLK_SOURCE 
generic
(
    FREQUENCY_MODE   : string   := "LOW";    
    PERFORMANCE_MODE : string   := "MAX_SPEED"    
);
port
(
    DIV1_OUT                : out std_logic;
    DIV2_OUT                : out std_logic;
    DCM_LOCKED_OUT          : out std_logic;
    CLK_IN                  : in  std_logic;
    DCM_RESET_IN            : in  std_logic

);
end component;

component FRAME_GEN 
generic
(
    WORDS_IN_BRAM : integer    :=   256;
    MEM_00       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_01       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_02       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_03       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_04       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_05       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_06       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_07       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_08       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_09       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_10       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_11       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_12       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_13       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_14       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_15       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_16       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_17       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_18       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_19       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_20       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_21       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_22       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_23       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_24       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_25       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_26       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_27       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_28       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_29       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_30       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_31       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_32       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_33       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_34       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_35       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_36       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_37       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_38       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_39       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_00      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_01      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_02      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_03      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_04      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_05      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_06      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_07      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000"
);    
port
(
    -- User Interface
    TX_DATA             : out   std_logic_vector(39 downto 0);
    TX_CHARISK          : out   std_logic_vector(3 downto 0); 

    -- System Interface
    USER_CLK            : in    std_logic;
    SYSTEM_RESET        : in    std_logic
); 
end component;

component FRAME_CHECK 
generic
(
    RX_DATA_WIDTH            : integer := 16;
    USE_COMMA                : integer := 1;
    NONE_MSB_FIRST_DEC       : integer := 0;
    COMMA_DOUBLE_DEC         : integer := 0;
    CHANBOND_SEQ_LEN         : integer := 1;
    WORDS_IN_BRAM            : integer := 256;
    CONFIG_INDEPENDENT_LANES : integer := 0;
    START_OF_PACKET_CHAR     : std_logic_vector := x"55fb";
    COMMA_DOUBLE_CHAR        : std_logic_vector := x"f628";
    MEM_00       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_01       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_02       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_03       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_04       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_05       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_06       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_07       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_08       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_09       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_0F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_10       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_11       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_12       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_13       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_14       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_15       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_16       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_17       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_18       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_19       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_1F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_20       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_21       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_22       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_23       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_24       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_25       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_26       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_27       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_28       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_29       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_2F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_30       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_31       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_32       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_33       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_34       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_35       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_36       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_37       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_38       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_39       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3A       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3B       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3C       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3D       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3E       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEM_3F       : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_00      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_01      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_02      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_03      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_04      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_05      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_06      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000";
    MEMP_07      : bit_vector :=   X"0000000000000000000000000000000000000000000000000000000000000000"
);
port
(
    -- User Interface
    RX_DATA                  : in  std_logic_vector((RX_DATA_WIDTH-1) downto 0); 
    RX_ENMCOMMA_ALIGN        : out std_logic;
    RX_ENPCOMMA_ALIGN        : out std_logic;
    RX_ENCHAN_SYNC           : out std_logic; 
    RX_CHANBOND_SEQ          : in  std_logic; 

    -- Control Interface
    INC_IN                   : in std_logic; 
    INC_OUT                  : out std_logic; 
    PATTERN_MATCH_N          : out std_logic;
    RESET_ON_ERROR           : in std_logic; 
    
    -- Error Monitoring
    ERROR_COUNT              : out std_logic_vector(7 downto 0);
    
    -- Track Data
    TRACK_DATA               : out std_logic;

    -- System Interface
    USER_CLK                 : in std_logic;
    SYSTEM_RESET             : in std_logic
  
);
end component;

component MGT_USRCLK_SOURCE_MMCM
generic
(
    MULT                 : real             := 2.0;
    DIVIDE               : integer          := 2;    
    CLK_PERIOD           : real             := 6.4;    
    OUT0_DIVIDE          : real             := 2.0;
    OUT1_DIVIDE          : integer          := 2;
    OUT2_DIVIDE          : integer          := 2;
    OUT3_DIVIDE          : integer          := 2
);
port
( 
    CLK0_OUT                : out std_logic;
    CLK1_OUT                : out std_logic;
    CLK2_OUT                : out std_logic;
    CLK3_OUT                : out std_logic;
    CLK_IN                  : in  std_logic;
    MMCM_LOCKED_OUT         : out std_logic;
    MMCM_RESET_IN           : in  std_logic
);
end component;



-- Chipscope modules
attribute syn_black_box                : boolean;
attribute syn_noprune                  : boolean;


component data_vio
port
(
    control                 : inout std_logic_vector(35 downto 0);
    clk                     : in    std_logic;
    async_in                : in    std_logic_vector(31 downto 0);
    async_out               : out   std_logic_vector(31 downto 0);
    sync_in                 : in    std_logic_vector(31 downto 0);
    sync_out                : out   std_logic_vector(31 downto 0)
);
end component;
attribute syn_black_box of data_vio : component is TRUE;
attribute syn_noprune of data_vio   : component is TRUE;


component icon
port
(
    control0                : inout std_logic_vector(35 downto 0);
    control1                : inout std_logic_vector(35 downto 0);
    control2                : inout std_logic_vector(35 downto 0);
    control3                : inout std_logic_vector(35 downto 0)
);
end component;
attribute syn_black_box of icon : component is TRUE;
attribute syn_noprune of icon   : component is TRUE;


component ila
port
(
    control                 : inout std_logic_vector(35 downto 0);
    clk                     : in    std_logic;
    trig0                   : in    std_logic_vector(84 downto 0)
);
end component;


attribute syn_black_box of ila : component is TRUE;
attribute syn_noprune of ila   : component is TRUE;


component rx_phase_align_fifo
port
(
    rst                     : in  std_logic;
    wr_clk                  : in  std_logic;
    rd_clk                  : in  std_logic;
    din                     : in  std_logic_vector(148 downto 0);
    wr_en                   : in  std_logic;
    rd_en                   : in  std_logic;
    dout                    : out std_logic_vector(148 downto 0);
    full                    : out std_logic;
    empty                   : out std_logic
);
end component; 

attribute syn_black_box of rx_phase_align_fifo : component is TRUE;
attribute syn_noprune of rx_phase_align_fifo   : component is TRUE;
--***********************************Parameter Declarations********************

    constant DLY : time := 1 ns;
 
    constant ALIGNER_LOOK_INIT : std_logic_vector := "00011111"; 
    constant ALIGNER_LOOK_INCR : std_logic_vector := "00000100";
    constant ALIGNER_LOCK_INCR : std_logic_vector := "010";
    constant ALIGNER_WAIT      : std_logic_vector := "00100000";

    attribute max_fanout : string; 

--************************** Register Declarations ****************************

    signal   gtx0_rxresetdone_i_r            : std_logic;
    signal   gtx0_rxresetdone_r              : std_logic;
    signal   gtx0_rxresetdone_r2             : std_logic;
    signal   gtx0_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx0_rxresetdone_i_r : signal is "1";
    signal   gtx1_rxresetdone_i_r            : std_logic;
    signal   gtx1_rxresetdone_r              : std_logic;
    signal   gtx1_rxresetdone_r2             : std_logic;
    signal   gtx1_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx1_rxresetdone_i_r : signal is "1";
    signal   gtx2_rxresetdone_i_r            : std_logic;
    signal   gtx2_rxresetdone_r              : std_logic;
    signal   gtx2_rxresetdone_r2             : std_logic;
    signal   gtx2_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx2_rxresetdone_i_r : signal is "1";
    signal   gtx3_rxresetdone_i_r            : std_logic;
    signal   gtx3_rxresetdone_r              : std_logic;
    signal   gtx3_rxresetdone_r2             : std_logic;
    signal   gtx3_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx3_rxresetdone_i_r : signal is "1";
    signal   gtx4_rxresetdone_i_r            : std_logic;
    signal   gtx4_rxresetdone_r              : std_logic;
    signal   gtx4_rxresetdone_r2             : std_logic;
    signal   gtx4_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx4_rxresetdone_i_r : signal is "1";
    signal   gtx5_rxresetdone_i_r            : std_logic;
    signal   gtx5_rxresetdone_r              : std_logic;
    signal   gtx5_rxresetdone_r2             : std_logic;
    signal   gtx5_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx5_rxresetdone_i_r : signal is "1";
    signal   gtx6_rxresetdone_i_r            : std_logic;
    signal   gtx6_rxresetdone_r              : std_logic;
    signal   gtx6_rxresetdone_r2             : std_logic;
    signal   gtx6_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx6_rxresetdone_i_r : signal is "1";
    signal   gtx7_rxresetdone_i_r            : std_logic;
    signal   gtx7_rxresetdone_r              : std_logic;
    signal   gtx7_rxresetdone_r2             : std_logic;
    signal   gtx7_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx7_rxresetdone_i_r : signal is "1";
    signal   gtx8_rxresetdone_i_r            : std_logic;
    signal   gtx8_rxresetdone_r              : std_logic;
    signal   gtx8_rxresetdone_r2             : std_logic;
    signal   gtx8_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx8_rxresetdone_i_r : signal is "1";
    signal   gtx9_rxresetdone_i_r            : std_logic;
    signal   gtx9_rxresetdone_r              : std_logic;
    signal   gtx9_rxresetdone_r2             : std_logic;
    signal   gtx9_rxresetdone_r3             : std_logic;
    attribute max_fanout of gtx9_rxresetdone_i_r : signal is "1";
    signal   gtx10_rxresetdone_i_r           : std_logic;
    signal   gtx10_rxresetdone_r             : std_logic;
    signal   gtx10_rxresetdone_r2            : std_logic;
    signal   gtx10_rxresetdone_r3            : std_logic;
    attribute max_fanout of gtx10_rxresetdone_i_r : signal is "1";
    signal   gtx11_rxresetdone_i_r           : std_logic;
    signal   gtx11_rxresetdone_r             : std_logic;
    signal   gtx11_rxresetdone_r2            : std_logic;
    signal   gtx11_rxresetdone_r3            : std_logic;
    attribute max_fanout of gtx11_rxresetdone_i_r : signal is "1";


--**************************** Wire Declarations ******************************
    -------------------------- MGT Wrapper Wires ------------------------------
    --________________________________________________________________________
    --________________________________________________________________________
    --GTX0   (X0Y8)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx0_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx0_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx0_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx0_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx0_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx0_rxenmcommaalign_i          : std_logic;
    signal  gtx0_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx0_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx0_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx0_gtxrxreset_i               : std_logic;
    signal  gtx0_pllrxreset_i               : std_logic;
    signal  gtx0_rxplllkdet_i               : std_logic;
    signal  gtx0_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX1   (X0Y9)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx1_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx1_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx1_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx1_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx1_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx1_rxenmcommaalign_i          : std_logic;
    signal  gtx1_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx1_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx1_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx1_gtxrxreset_i               : std_logic;
    signal  gtx1_pllrxreset_i               : std_logic;
    signal  gtx1_rxplllkdet_i               : std_logic;
    signal  gtx1_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX2   (X0Y10)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx2_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx2_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx2_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx2_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx2_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx2_rxenmcommaalign_i          : std_logic;
    signal  gtx2_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx2_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx2_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx2_gtxrxreset_i               : std_logic;
    signal  gtx2_pllrxreset_i               : std_logic;
    signal  gtx2_rxplllkdet_i               : std_logic;
    signal  gtx2_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX3   (X0Y11)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx3_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx3_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx3_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx3_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx3_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx3_rxenmcommaalign_i          : std_logic;
    signal  gtx3_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx3_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx3_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx3_gtxrxreset_i               : std_logic;
    signal  gtx3_pllrxreset_i               : std_logic;
    signal  gtx3_rxplllkdet_i               : std_logic;
    signal  gtx3_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX4   (X0Y12)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx4_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx4_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx4_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx4_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx4_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx4_rxenmcommaalign_i          : std_logic;
    signal  gtx4_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx4_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx4_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx4_gtxrxreset_i               : std_logic;
    signal  gtx4_pllrxreset_i               : std_logic;
    signal  gtx4_rxplllkdet_i               : std_logic;
    signal  gtx4_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX5   (X0Y13)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx5_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx5_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx5_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx5_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx5_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx5_rxenmcommaalign_i          : std_logic;
    signal  gtx5_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx5_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx5_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx5_gtxrxreset_i               : std_logic;
    signal  gtx5_pllrxreset_i               : std_logic;
    signal  gtx5_rxplllkdet_i               : std_logic;
    signal  gtx5_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX6   (X0Y14)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx6_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx6_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx6_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx6_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx6_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx6_rxenmcommaalign_i          : std_logic;
    signal  gtx6_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx6_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx6_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx6_gtxrxreset_i               : std_logic;
    signal  gtx6_pllrxreset_i               : std_logic;
    signal  gtx6_rxplllkdet_i               : std_logic;
    signal  gtx6_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX7   (X0Y15)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx7_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx7_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx7_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx7_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx7_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx7_rxenmcommaalign_i          : std_logic;
    signal  gtx7_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx7_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx7_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx7_gtxrxreset_i               : std_logic;
    signal  gtx7_pllrxreset_i               : std_logic;
    signal  gtx7_rxplllkdet_i               : std_logic;
    signal  gtx7_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX8   (X0Y16)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx8_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx8_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx8_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx8_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx8_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx8_rxenmcommaalign_i          : std_logic;
    signal  gtx8_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx8_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx8_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx8_gtxrxreset_i               : std_logic;
    signal  gtx8_pllrxreset_i               : std_logic;
    signal  gtx8_rxplllkdet_i               : std_logic;
    signal  gtx8_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX9   (X0Y17)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx9_rxpowerdown_i              : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx9_rxcharisk_i                : std_logic_vector(1 downto 0);
    signal  gtx9_rxdisperr_i                : std_logic_vector(1 downto 0);
    signal  gtx9_rxnotintable_i             : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx9_rxclkcorcnt_i              : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx9_rxenmcommaalign_i          : std_logic;
    signal  gtx9_rxenpcommaalign_i          : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx9_rxdata_i                   : std_logic_vector(15 downto 0);
    signal  gtx9_rxrecclk_i                 : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx9_gtxrxreset_i               : std_logic;
    signal  gtx9_pllrxreset_i               : std_logic;
    signal  gtx9_rxplllkdet_i               : std_logic;
    signal  gtx9_rxresetdone_i              : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX10   (X0Y18)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx10_rxpowerdown_i             : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx10_rxcharisk_i               : std_logic_vector(1 downto 0);
    signal  gtx10_rxdisperr_i               : std_logic_vector(1 downto 0);
    signal  gtx10_rxnotintable_i            : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx10_rxclkcorcnt_i             : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx10_rxenmcommaalign_i         : std_logic;
    signal  gtx10_rxenpcommaalign_i         : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx10_rxdata_i                  : std_logic_vector(15 downto 0);
    signal  gtx10_rxrecclk_i                : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx10_gtxrxreset_i              : std_logic;
    signal  gtx10_pllrxreset_i              : std_logic;
    signal  gtx10_rxplllkdet_i              : std_logic;
    signal  gtx10_rxresetdone_i             : std_logic;


    --________________________________________________________________________
    --________________________________________________________________________
    --GTX11   (X0Y19)

    ------------------------ Loopback and Powerdown Ports ----------------------
    signal  gtx11_rxpowerdown_i             : std_logic_vector(1 downto 0);
    ----------------------- Receive Ports - 8b10b Decoder ----------------------
    signal  gtx11_rxcharisk_i               : std_logic_vector(1 downto 0);
    signal  gtx11_rxdisperr_i               : std_logic_vector(1 downto 0);
    signal  gtx11_rxnotintable_i            : std_logic_vector(1 downto 0);
    ------------------- Receive Ports - Clock Correction Ports -----------------
    signal  gtx11_rxclkcorcnt_i             : std_logic_vector(2 downto 0);
    --------------- Receive Ports - Comma Detection and Alignment --------------
    signal  gtx11_rxenmcommaalign_i         : std_logic;
    signal  gtx11_rxenpcommaalign_i         : std_logic;
    ------------------- Receive Ports - RX Data Path interface -----------------
    signal  gtx11_rxdata_i                  : std_logic_vector(15 downto 0);
    signal  gtx11_rxrecclk_i                : std_logic;
    ------------------------ Receive Ports - RX PLL Ports ----------------------
    signal  gtx11_gtxrxreset_i              : std_logic;
    signal  gtx11_pllrxreset_i              : std_logic;
    signal  gtx11_rxplllkdet_i              : std_logic;
    signal  gtx11_rxresetdone_i             : std_logic;




    signal  gtx0_tx_system_reset_c          : std_logic;
    signal  gtx0_rx_system_reset_c          : std_logic;
    signal  gtx1_tx_system_reset_c          : std_logic;
    signal  gtx1_rx_system_reset_c          : std_logic;
    signal  gtx2_tx_system_reset_c          : std_logic;
    signal  gtx2_rx_system_reset_c          : std_logic;
    signal  gtx3_tx_system_reset_c          : std_logic;
    signal  gtx3_rx_system_reset_c          : std_logic;
    signal  gtx4_tx_system_reset_c          : std_logic;
    signal  gtx4_rx_system_reset_c          : std_logic;
    signal  gtx5_tx_system_reset_c          : std_logic;
    signal  gtx5_rx_system_reset_c          : std_logic;
    signal  gtx6_tx_system_reset_c          : std_logic;
    signal  gtx6_rx_system_reset_c          : std_logic;
    signal  gtx7_tx_system_reset_c          : std_logic;
    signal  gtx7_rx_system_reset_c          : std_logic;
    signal  gtx8_tx_system_reset_c          : std_logic;
    signal  gtx8_rx_system_reset_c          : std_logic;
    signal  gtx9_tx_system_reset_c          : std_logic;
    signal  gtx9_rx_system_reset_c          : std_logic;
    signal  gtx10_tx_system_reset_c         : std_logic;
    signal  gtx10_rx_system_reset_c         : std_logic;
    signal  gtx11_tx_system_reset_c         : std_logic;
    signal  gtx11_rx_system_reset_c         : std_logic;
    signal  tied_to_ground_i                : std_logic;
    signal  tied_to_ground_vec_i            : std_logic_vector(63 downto 0);
    signal  tied_to_vcc_i                   : std_logic;
    signal  tied_to_vcc_vec_i               : std_logic_vector(7 downto 0);
    signal  drp_clk_in_i                    : std_logic;
 

    ----------------------------- User Clocks ---------------------------------

    signal  gtx0_rxusrclk2_i                : std_logic;
    signal  gtx1_rxusrclk2_i                : std_logic;
    signal  gtx2_rxusrclk2_i                : std_logic;
    signal  gtx3_rxusrclk2_i                : std_logic;
    signal  gtx4_rxusrclk2_i                : std_logic;
    signal  gtx5_rxusrclk2_i                : std_logic;
    signal  gtx6_rxusrclk2_i                : std_logic;
    signal  gtx7_rxusrclk2_i                : std_logic;
    signal  gtx8_rxusrclk2_i                : std_logic;
    signal  gtx9_rxusrclk2_i                : std_logic;
    signal  gtx10_rxusrclk2_i               : std_logic;
    signal  gtx11_rxusrclk2_i               : std_logic;
    signal  rxrecclk_mmcm0_locked_i         : std_logic;
    signal  rxrecclk_mmcm0_reset_i          : std_logic;
    signal  gtx0_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm1_locked_i         : std_logic;
    signal  rxrecclk_mmcm1_reset_i          : std_logic;
    signal  gtx1_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm2_locked_i         : std_logic;
    signal  rxrecclk_mmcm2_reset_i          : std_logic;
    signal  gtx2_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm3_locked_i         : std_logic;
    signal  rxrecclk_mmcm3_reset_i          : std_logic;
    signal  gtx3_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm4_locked_i         : std_logic;
    signal  rxrecclk_mmcm4_reset_i          : std_logic;
    signal  gtx4_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm5_locked_i         : std_logic;
    signal  rxrecclk_mmcm5_reset_i          : std_logic;
    signal  gtx5_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm6_locked_i         : std_logic;
    signal  rxrecclk_mmcm6_reset_i          : std_logic;
    signal  gtx6_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm7_locked_i         : std_logic;
    signal  rxrecclk_mmcm7_reset_i          : std_logic;
    signal  gtx7_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm8_locked_i         : std_logic;
    signal  rxrecclk_mmcm8_reset_i          : std_logic;
    signal  gtx8_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm9_locked_i         : std_logic;
    signal  rxrecclk_mmcm9_reset_i          : std_logic;
    signal  gtx9_rxrecclk_to_mmcm_i         : std_logic;
    signal  rxrecclk_mmcm10_locked_i        : std_logic;
    signal  rxrecclk_mmcm10_reset_i         : std_logic;
    signal  gtx10_rxrecclk_to_mmcm_i        : std_logic;
    signal  rxrecclk_mmcm11_locked_i        : std_logic;
    signal  rxrecclk_mmcm11_reset_i         : std_logic;
    signal  gtx11_rxrecclk_to_mmcm_i        : std_logic;


    ----------------------------- Reference Clocks ----------------------------
    
    signal    q3_clk0_refclk_i                : std_logic;

    ----------------------- Frame check/gen Module Signals --------------------
    
    signal    gtx0_matchn_i                   : std_logic;
    
    signal    gtx0_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx0_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx0_track_data_i               : std_logic;
    signal    gtx0_block_sync_i               : std_logic;
    signal    gtx0_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx0_frame_check_reset_i        : std_logic;
    signal    gtx0_inc_in_i                   : std_logic;
    signal    gtx0_inc_out_i                  : std_logic;
    signal    gtx0_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx1_matchn_i                   : std_logic;
    
    signal    gtx1_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx1_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx1_track_data_i               : std_logic;
    signal    gtx1_block_sync_i               : std_logic;
    signal    gtx1_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx1_frame_check_reset_i        : std_logic;
    signal    gtx1_inc_in_i                   : std_logic;
    signal    gtx1_inc_out_i                  : std_logic;
    signal    gtx1_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx2_matchn_i                   : std_logic;
    
    signal    gtx2_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx2_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx2_track_data_i               : std_logic;
    signal    gtx2_block_sync_i               : std_logic;
    signal    gtx2_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx2_frame_check_reset_i        : std_logic;
    signal    gtx2_inc_in_i                   : std_logic;
    signal    gtx2_inc_out_i                  : std_logic;
    signal    gtx2_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx3_matchn_i                   : std_logic;
    
    signal    gtx3_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx3_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx3_track_data_i               : std_logic;
    signal    gtx3_block_sync_i               : std_logic;
    signal    gtx3_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx3_frame_check_reset_i        : std_logic;
    signal    gtx3_inc_in_i                   : std_logic;
    signal    gtx3_inc_out_i                  : std_logic;
    signal    gtx3_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx4_matchn_i                   : std_logic;
    
    signal    gtx4_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx4_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx4_track_data_i               : std_logic;
    signal    gtx4_block_sync_i               : std_logic;
    signal    gtx4_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx4_frame_check_reset_i        : std_logic;
    signal    gtx4_inc_in_i                   : std_logic;
    signal    gtx4_inc_out_i                  : std_logic;
    signal    gtx4_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx5_matchn_i                   : std_logic;
    
    signal    gtx5_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx5_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx5_track_data_i               : std_logic;
    signal    gtx5_block_sync_i               : std_logic;
    signal    gtx5_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx5_frame_check_reset_i        : std_logic;
    signal    gtx5_inc_in_i                   : std_logic;
    signal    gtx5_inc_out_i                  : std_logic;
    signal    gtx5_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx6_matchn_i                   : std_logic;
    
    signal    gtx6_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx6_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx6_track_data_i               : std_logic;
    signal    gtx6_block_sync_i               : std_logic;
    signal    gtx6_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx6_frame_check_reset_i        : std_logic;
    signal    gtx6_inc_in_i                   : std_logic;
    signal    gtx6_inc_out_i                  : std_logic;
    signal    gtx6_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx7_matchn_i                   : std_logic;
    
    signal    gtx7_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx7_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx7_track_data_i               : std_logic;
    signal    gtx7_block_sync_i               : std_logic;
    signal    gtx7_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx7_frame_check_reset_i        : std_logic;
    signal    gtx7_inc_in_i                   : std_logic;
    signal    gtx7_inc_out_i                  : std_logic;
    signal    gtx7_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx8_matchn_i                   : std_logic;
    
    signal    gtx8_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx8_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx8_track_data_i               : std_logic;
    signal    gtx8_block_sync_i               : std_logic;
    signal    gtx8_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx8_frame_check_reset_i        : std_logic;
    signal    gtx8_inc_in_i                   : std_logic;
    signal    gtx8_inc_out_i                  : std_logic;
    signal    gtx8_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx9_matchn_i                   : std_logic;
    
    signal    gtx9_txcharisk_float_i          : std_logic_vector(2 downto 0);
    
    signal    gtx9_txdata_float_i             : std_logic_vector(31 downto 0);
    
    signal    gtx9_track_data_i               : std_logic;
    signal    gtx9_block_sync_i               : std_logic;
    signal    gtx9_error_count_i              : std_logic_vector(7 downto 0);
    signal    gtx9_frame_check_reset_i        : std_logic;
    signal    gtx9_inc_in_i                   : std_logic;
    signal    gtx9_inc_out_i                  : std_logic;
    signal    gtx9_unscrambled_data_i         : std_logic_vector(15 downto 0);

    signal    gtx10_matchn_i                  : std_logic;
    
    signal    gtx10_txcharisk_float_i         : std_logic_vector(2 downto 0);
    
    signal    gtx10_txdata_float_i            : std_logic_vector(31 downto 0);
    
    signal    gtx10_track_data_i              : std_logic;
    signal    gtx10_block_sync_i              : std_logic;
    signal    gtx10_error_count_i             : std_logic_vector(7 downto 0);
    signal    gtx10_frame_check_reset_i       : std_logic;
    signal    gtx10_inc_in_i                  : std_logic;
    signal    gtx10_inc_out_i                 : std_logic;
    signal    gtx10_unscrambled_data_i        : std_logic_vector(15 downto 0);

    signal    gtx11_matchn_i                  : std_logic;
    
    signal    gtx11_txcharisk_float_i         : std_logic_vector(2 downto 0);
    
    signal    gtx11_txdata_float_i            : std_logic_vector(31 downto 0);
    
    signal    gtx11_track_data_i              : std_logic;
    signal    gtx11_block_sync_i              : std_logic;
    signal    gtx11_error_count_i             : std_logic_vector(7 downto 0);
    signal    gtx11_frame_check_reset_i       : std_logic;
    signal    gtx11_inc_in_i                  : std_logic;
    signal    gtx11_inc_out_i                 : std_logic;
    signal    gtx11_unscrambled_data_i        : std_logic_vector(15 downto 0);

    signal    reset_on_data_error_i           : std_logic;
    signal    track_data_out_i                : std_logic;
 
    

    ----------------------- Chipscope Signals ---------------------------------

    signal  tx_data_vio_control_i           : std_logic_vector(35 downto 0);
    signal  rx_data_vio_control_i           : std_logic_vector(35 downto 0);
    signal  shared_vio_control_i            : std_logic_vector(35 downto 0);
    signal  ila_control_i                   : std_logic_vector(35 downto 0);
    signal  tx_data_vio_async_in_i          : std_logic_vector(31 downto 0);
    signal  tx_data_vio_sync_in_i           : std_logic_vector(31 downto 0);
    signal  tx_data_vio_async_out_i         : std_logic_vector(31 downto 0);
    signal  tx_data_vio_sync_out_i          : std_logic_vector(31 downto 0);
    signal  rx_data_vio_async_in_i          : std_logic_vector(31 downto 0);
    signal  rx_data_vio_sync_in_i           : std_logic_vector(31 downto 0);
    signal  rx_data_vio_async_out_i         : std_logic_vector(31 downto 0);
    signal  rx_data_vio_sync_out_i          : std_logic_vector(31 downto 0);
    signal  shared_vio_in_i                 : std_logic_vector(31 downto 0);
    signal  shared_vio_out_i                : std_logic_vector(31 downto 0);
    signal  ila_in_i                        : std_logic_vector(84 downto 0);

    signal  gtx0_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx0_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx0_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx0_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx0_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx0_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx0_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx0_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx0_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx1_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx1_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx1_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx1_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx1_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx1_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx1_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx1_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx1_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx2_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx2_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx2_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx2_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx2_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx2_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx2_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx2_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx2_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx3_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx3_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx3_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx3_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx3_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx3_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx3_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx3_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx3_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx4_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx4_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx4_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx4_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx4_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx4_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx4_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx4_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx4_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx5_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx5_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx5_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx5_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx5_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx5_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx5_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx5_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx5_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx6_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx6_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx6_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx6_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx6_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx6_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx6_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx6_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx6_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx7_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx7_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx7_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx7_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx7_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx7_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx7_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx7_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx7_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx8_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx8_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx8_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx8_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx8_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx8_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx8_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx8_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx8_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx9_tx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx9_tx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx9_tx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx9_tx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx9_rx_data_vio_async_in_i     : std_logic_vector(31 downto 0);
    signal  gtx9_rx_data_vio_sync_in_i      : std_logic_vector(31 downto 0);
    signal  gtx9_rx_data_vio_async_out_i    : std_logic_vector(31 downto 0);
    signal  gtx9_rx_data_vio_sync_out_i     : std_logic_vector(31 downto 0);
    signal  gtx9_ila_in_i                   : std_logic_vector(84 downto 0);

    signal  gtx10_tx_data_vio_async_in_i    : std_logic_vector(31 downto 0);
    signal  gtx10_tx_data_vio_sync_in_i     : std_logic_vector(31 downto 0);
    signal  gtx10_tx_data_vio_async_out_i   : std_logic_vector(31 downto 0);
    signal  gtx10_tx_data_vio_sync_out_i    : std_logic_vector(31 downto 0);
    signal  gtx10_rx_data_vio_async_in_i    : std_logic_vector(31 downto 0);
    signal  gtx10_rx_data_vio_sync_in_i     : std_logic_vector(31 downto 0);
    signal  gtx10_rx_data_vio_async_out_i   : std_logic_vector(31 downto 0);
    signal  gtx10_rx_data_vio_sync_out_i    : std_logic_vector(31 downto 0);
    signal  gtx10_ila_in_i                  : std_logic_vector(84 downto 0);

    signal  gtx11_tx_data_vio_async_in_i    : std_logic_vector(31 downto 0);
    signal  gtx11_tx_data_vio_sync_in_i     : std_logic_vector(31 downto 0);
    signal  gtx11_tx_data_vio_async_out_i   : std_logic_vector(31 downto 0);
    signal  gtx11_tx_data_vio_sync_out_i    : std_logic_vector(31 downto 0);
    signal  gtx11_rx_data_vio_async_in_i    : std_logic_vector(31 downto 0);
    signal  gtx11_rx_data_vio_sync_in_i     : std_logic_vector(31 downto 0);
    signal  gtx11_rx_data_vio_async_out_i   : std_logic_vector(31 downto 0);
    signal  gtx11_rx_data_vio_sync_out_i    : std_logic_vector(31 downto 0);
    signal  gtx11_ila_in_i                  : std_logic_vector(84 downto 0);


    signal    gtxtxreset_i                    : std_logic;
    signal    gtxrxreset_i                    : std_logic;
    signal    mux_sel_i                       : std_logic_vector(3 downto 0);
    signal    gtx0_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx0_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx0_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx0_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx0_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx1_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx1_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx1_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx1_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx1_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx2_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx2_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx2_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx2_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx2_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx3_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx3_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx3_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx3_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx3_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx4_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx4_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx4_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx4_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx4_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx5_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx5_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx5_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx5_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx5_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx6_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx6_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx6_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx6_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx6_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx7_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx7_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx7_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx7_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx7_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx8_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx8_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx8_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx8_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx8_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx9_rx_data_to_fifo_i          : std_logic_vector(148 downto 0);
    signal    gtx9_rx_data_from_fifo_i        : std_logic_vector(148 downto 0);
    signal    gtx9_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx9_rx_data_fifo_vio_sync_in_i : std_logic_vector(31 downto 0);
    signal    gtx9_fifo_ila_in_i              : std_logic_vector(84 downto 0);
    signal    gtx10_rx_data_to_fifo_i         : std_logic_vector(148 downto 0);
    signal    gtx10_rx_data_from_fifo_i       : std_logic_vector(148 downto 0);
    signal    gtx10_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx10_rx_data_fifo_vio_sync_in_i: std_logic_vector(31 downto 0);
    signal    gtx10_fifo_ila_in_i             : std_logic_vector(84 downto 0);
    signal    gtx11_rx_data_to_fifo_i         : std_logic_vector(148 downto 0);
    signal    gtx11_rx_data_from_fifo_i       : std_logic_vector(148 downto 0);
    signal    gtx11_rx_data_fifo_vio_async_in_i: std_logic_vector(31 downto 0);
    signal    gtx11_rx_data_fifo_vio_sync_in_i: std_logic_vector(31 downto 0);
    signal    gtx11_fifo_ila_in_i             : std_logic_vector(84 downto 0);

    signal    user_tx_reset_i                 : std_logic;
    signal    user_rx_reset_i                 : std_logic;
    signal    tx_vio_clk_i                    : std_logic;
    signal    tx_vio_clk_mux_out_i            : std_logic;
    signal    rx_vio_ila_clk_i                : std_logic;
    signal    rx_vio_ila_clk_mux_out_i        : std_logic;

    
--**************************** Main Body of Code *******************************
begin

    --  Static signal Assigments
    tied_to_ground_i                             <= '0';
    tied_to_ground_vec_i                         <= x"0000000000000000";
    tied_to_vcc_i                                <= '1';
    tied_to_vcc_vec_i                            <= x"ff";



    
  
    
  
    
  
    
  
    
  
    
  
    
  
    
  
    
  
    
  
    
  
    
  

    -----------------------Dedicated GTX Reference Clock Inputs ---------------
    -- The dedicated reference clock inputs you selected in the GUI are implemented using
    -- IBUFDS_GTXE1 instances.
    --
    -- In the UCF file for this example design, you will see that each of
    -- these IBUFDS_GTXE1 instances has been LOCed to a particular set of pins. By LOCing to these
    -- locations, we tell the tools to use the dedicated input buffers to the GTX reference
    -- clock network, rather than general purpose IOs. To select other pins, consult the 
    -- Implementation chapter of UG___, or rerun the wizard.
    --
    -- This network is the highest performace (lowest jitter) option for providing clocks
    -- to the GTX transceivers.
    
    q3_clk0_refclk_ibufds_i : IBUFDS_GTXE1
    port map
    (
        O                               =>      q3_clk0_refclk_i,
        ODIV2                           =>      open,
        CEB                             =>      tied_to_ground_i,
        I                               =>      Q3_CLK0_MGTREFCLK_PAD_P_IN,
        IB                              =>      Q3_CLK0_MGTREFCLK_PAD_N_IN
    );

 




    ----------------------------------- User Clocks ---------------------------
    
    -- The clock resources in this section were added based on userclk source selections on
    -- the Latency, Buffering, and Clocking page of the GUI. A few notes about user clocks:
    -- * The userclk and userclk2 for each GTX datapath (TX and RX) must be phase aligned to 
    --   avoid data errors in the fabric interface whenever the datapath is wider than 10 bits
    -- * To minimize clock resources, you can share clocks between GTXs. GTXs using the same frequency
    --   or multiples of the same frequency can be accomadated using MMCMs. Use caution when
    --   using RXRECCLK as a clock source, however - these clocks can typically only be shared if all
    --   the channels using the clock are receiving data from TX channels that share a reference clock 
    --   source with each other.

    rxrecclk_mmcm0_bufg_i : BUFG
    port map
    (
        I                               =>      gtx0_rxrecclk_i,
        O                               =>      gtx0_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm0_reset_i                       <= not gtx0_rxplllkdet_i;
    rxrecclk_mmcm0_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx0_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx0_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm0_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm0_reset_i
    );


    rxrecclk_mmcm1_bufg_i : BUFG
    port map
    (
        I                               =>      gtx1_rxrecclk_i,
        O                               =>      gtx1_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm1_reset_i                       <= not gtx1_rxplllkdet_i;
    rxrecclk_mmcm1_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx1_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx1_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm1_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm1_reset_i
    );


    rxrecclk_mmcm2_bufg_i : BUFG
    port map
    (
        I                               =>      gtx2_rxrecclk_i,
        O                               =>      gtx2_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm2_reset_i                       <= not gtx2_rxplllkdet_i;
    rxrecclk_mmcm2_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx2_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx2_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm2_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm2_reset_i
    );


    rxrecclk_mmcm3_bufg_i : BUFG
    port map
    (
        I                               =>      gtx3_rxrecclk_i,
        O                               =>      gtx3_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm3_reset_i                       <= not gtx3_rxplllkdet_i;
    rxrecclk_mmcm3_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx3_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx3_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm3_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm3_reset_i
    );


    rxrecclk_mmcm4_bufg_i : BUFG
    port map
    (
        I                               =>      gtx4_rxrecclk_i,
        O                               =>      gtx4_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm4_reset_i                       <= not gtx4_rxplllkdet_i;
    rxrecclk_mmcm4_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx4_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx4_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm4_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm4_reset_i
    );


    rxrecclk_mmcm5_bufg_i : BUFG
    port map
    (
        I                               =>      gtx5_rxrecclk_i,
        O                               =>      gtx5_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm5_reset_i                       <= not gtx5_rxplllkdet_i;
    rxrecclk_mmcm5_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx5_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx5_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm5_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm5_reset_i
    );


    rxrecclk_mmcm6_bufg_i : BUFG
    port map
    (
        I                               =>      gtx6_rxrecclk_i,
        O                               =>      gtx6_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm6_reset_i                       <= not gtx6_rxplllkdet_i;
    rxrecclk_mmcm6_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx6_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx6_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm6_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm6_reset_i
    );


    rxrecclk_mmcm7_bufg_i : BUFG
    port map
    (
        I                               =>      gtx7_rxrecclk_i,
        O                               =>      gtx7_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm7_reset_i                       <= not gtx7_rxplllkdet_i;
    rxrecclk_mmcm7_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx7_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx7_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm7_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm7_reset_i
    );


    rxrecclk_mmcm8_bufg_i : BUFG
    port map
    (
        I                               =>      gtx8_rxrecclk_i,
        O                               =>      gtx8_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm8_reset_i                       <= not gtx8_rxplllkdet_i;
    rxrecclk_mmcm8_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx8_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx8_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm8_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm8_reset_i
    );


    rxrecclk_mmcm9_bufg_i : BUFG
    port map
    (
        I                               =>      gtx9_rxrecclk_i,
        O                               =>      gtx9_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm9_reset_i                       <= not gtx9_rxplllkdet_i;
    rxrecclk_mmcm9_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx9_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx9_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm9_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm9_reset_i
    );


    rxrecclk_mmcm10_bufg_i : BUFG
    port map
    (
        I                               =>      gtx10_rxrecclk_i,
        O                               =>      gtx10_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm10_reset_i                      <= not gtx10_rxplllkdet_i;
    rxrecclk_mmcm10_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx10_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx10_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm10_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm10_reset_i
    );


    rxrecclk_mmcm11_bufg_i : BUFG
    port map
    (
        I                               =>      gtx11_rxrecclk_i,
        O                               =>      gtx11_rxrecclk_to_mmcm_i
    );

    rxrecclk_mmcm11_reset_i                      <= not gtx11_rxplllkdet_i;
    rxrecclk_mmcm11_i : MGT_USRCLK_SOURCE_MMCM
    generic map
    (
        MULT                            =>      8.0,
        DIVIDE                          =>      2,
        CLK_PERIOD                      =>      3.13,
        OUT0_DIVIDE                     =>      8.0,
        OUT1_DIVIDE                     =>      1,
        OUT2_DIVIDE                     =>      1,
        OUT3_DIVIDE                     =>      1
    )
    port map
    (
        CLK0_OUT                        =>      gtx11_rxusrclk2_i,
        CLK1_OUT                        =>      open,
        CLK2_OUT                        =>      open,
        CLK3_OUT                        =>      open,
        CLK_IN                          =>      gtx11_rxrecclk_to_mmcm_i,
        MMCM_LOCKED_OUT                 =>      rxrecclk_mmcm11_locked_i,
        MMCM_RESET_IN                   =>      rxrecclk_mmcm11_reset_i
    );




    ----------------------------- The GTX Wrapper -----------------------------
    
    -- Use the instantiation template in the example directory to add the GTX wrapper to your design.
    -- In this example, the wrapper is wired up for basic operation with a frame generator and frame 
    -- checker. The GTXs will reset, then attempt to align and transmit data. If channel bonding is 
    -- enabled, bonding should occur after alignment.



    mgt_32gbps_16bit_1to12_i : MGT_32GBPS_16BIT_1TO12
    generic map
    (
        WRAPPER_SIM_GTXRESET_SPEEDUP    =>      EXAMPLE_SIM_GTXRESET_SPEEDUP
    )
    port map
    (
  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX0  (X0Y8)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX0_RXPOWERDOWN_IN             =>      gtx0_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX0_RXCHARISK_OUT              =>      gtx0_rxcharisk_i,
        GTX0_RXDISPERR_OUT              =>      gtx0_rxdisperr_i,
        GTX0_RXNOTINTABLE_OUT           =>      gtx0_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX0_RXCLKCORCNT_OUT            =>      gtx0_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX0_RXENMCOMMAALIGN_IN         =>      gtx0_rxenmcommaalign_i,
        GTX0_RXENPCOMMAALIGN_IN         =>      gtx0_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX0_RXDATA_OUT                 =>      gtx0_rxdata_i,
        GTX0_RXRECCLK_OUT               =>      gtx0_rxrecclk_i,
        GTX0_RXUSRCLK2_IN               =>      gtx0_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX0_RXN_IN                     =>      RXN_IN(0),
        GTX0_RXP_IN                     =>      RXP_IN(0),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX0_GTXRXRESET_IN              =>      gtx0_gtxrxreset_i,
        GTX0_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX0_PLLRXRESET_IN              =>      gtx0_pllrxreset_i,
        GTX0_RXPLLLKDET_OUT             =>      gtx0_rxplllkdet_i,
        GTX0_RXRESETDONE_OUT            =>      gtx0_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX0_TXN_OUT                    =>      TXN_OUT(0),
        GTX0_TXP_OUT                    =>      TXP_OUT(0),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX1  (X0Y9)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX1_RXPOWERDOWN_IN             =>      gtx1_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX1_RXCHARISK_OUT              =>      gtx1_rxcharisk_i,
        GTX1_RXDISPERR_OUT              =>      gtx1_rxdisperr_i,
        GTX1_RXNOTINTABLE_OUT           =>      gtx1_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX1_RXCLKCORCNT_OUT            =>      gtx1_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX1_RXENMCOMMAALIGN_IN         =>      gtx1_rxenmcommaalign_i,
        GTX1_RXENPCOMMAALIGN_IN         =>      gtx1_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX1_RXDATA_OUT                 =>      gtx1_rxdata_i,
        GTX1_RXRECCLK_OUT               =>      gtx1_rxrecclk_i,
        GTX1_RXUSRCLK2_IN               =>      gtx1_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX1_RXN_IN                     =>      RXN_IN(1),
        GTX1_RXP_IN                     =>      RXP_IN(1),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX1_GTXRXRESET_IN              =>      gtx1_gtxrxreset_i,
        GTX1_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX1_PLLRXRESET_IN              =>      gtx1_pllrxreset_i,
        GTX1_RXPLLLKDET_OUT             =>      gtx1_rxplllkdet_i,
        GTX1_RXRESETDONE_OUT            =>      gtx1_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX1_TXN_OUT                    =>      TXN_OUT(1),
        GTX1_TXP_OUT                    =>      TXP_OUT(1),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX2  (X0Y10)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX2_RXPOWERDOWN_IN             =>      gtx2_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX2_RXCHARISK_OUT              =>      gtx2_rxcharisk_i,
        GTX2_RXDISPERR_OUT              =>      gtx2_rxdisperr_i,
        GTX2_RXNOTINTABLE_OUT           =>      gtx2_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX2_RXCLKCORCNT_OUT            =>      gtx2_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX2_RXENMCOMMAALIGN_IN         =>      gtx2_rxenmcommaalign_i,
        GTX2_RXENPCOMMAALIGN_IN         =>      gtx2_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX2_RXDATA_OUT                 =>      gtx2_rxdata_i,
        GTX2_RXRECCLK_OUT               =>      gtx2_rxrecclk_i,
        GTX2_RXUSRCLK2_IN               =>      gtx2_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX2_RXN_IN                     =>      RXN_IN(2),
        GTX2_RXP_IN                     =>      RXP_IN(2),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX2_GTXRXRESET_IN              =>      gtx2_gtxrxreset_i,
        GTX2_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX2_PLLRXRESET_IN              =>      gtx2_pllrxreset_i,
        GTX2_RXPLLLKDET_OUT             =>      gtx2_rxplllkdet_i,
        GTX2_RXRESETDONE_OUT            =>      gtx2_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX2_TXN_OUT                    =>      TXN_OUT(2),
        GTX2_TXP_OUT                    =>      TXP_OUT(2),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX3  (X0Y11)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX3_RXPOWERDOWN_IN             =>      gtx3_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX3_RXCHARISK_OUT              =>      gtx3_rxcharisk_i,
        GTX3_RXDISPERR_OUT              =>      gtx3_rxdisperr_i,
        GTX3_RXNOTINTABLE_OUT           =>      gtx3_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX3_RXCLKCORCNT_OUT            =>      gtx3_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX3_RXENMCOMMAALIGN_IN         =>      gtx3_rxenmcommaalign_i,
        GTX3_RXENPCOMMAALIGN_IN         =>      gtx3_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX3_RXDATA_OUT                 =>      gtx3_rxdata_i,
        GTX3_RXRECCLK_OUT               =>      gtx3_rxrecclk_i,
        GTX3_RXUSRCLK2_IN               =>      gtx3_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX3_RXN_IN                     =>      RXN_IN(3),
        GTX3_RXP_IN                     =>      RXP_IN(3),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX3_GTXRXRESET_IN              =>      gtx3_gtxrxreset_i,
        GTX3_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX3_PLLRXRESET_IN              =>      gtx3_pllrxreset_i,
        GTX3_RXPLLLKDET_OUT             =>      gtx3_rxplllkdet_i,
        GTX3_RXRESETDONE_OUT            =>      gtx3_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX3_TXN_OUT                    =>      TXN_OUT(3),
        GTX3_TXP_OUT                    =>      TXP_OUT(3),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX4  (X0Y12)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX4_RXPOWERDOWN_IN             =>      gtx4_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX4_RXCHARISK_OUT              =>      gtx4_rxcharisk_i,
        GTX4_RXDISPERR_OUT              =>      gtx4_rxdisperr_i,
        GTX4_RXNOTINTABLE_OUT           =>      gtx4_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX4_RXCLKCORCNT_OUT            =>      gtx4_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX4_RXENMCOMMAALIGN_IN         =>      gtx4_rxenmcommaalign_i,
        GTX4_RXENPCOMMAALIGN_IN         =>      gtx4_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX4_RXDATA_OUT                 =>      gtx4_rxdata_i,
        GTX4_RXRECCLK_OUT               =>      gtx4_rxrecclk_i,
        GTX4_RXUSRCLK2_IN               =>      gtx4_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX4_RXN_IN                     =>      RXN_IN(4),
        GTX4_RXP_IN                     =>      RXP_IN(4),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX4_GTXRXRESET_IN              =>      gtx4_gtxrxreset_i,
        GTX4_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX4_PLLRXRESET_IN              =>      gtx4_pllrxreset_i,
        GTX4_RXPLLLKDET_OUT             =>      gtx4_rxplllkdet_i,
        GTX4_RXRESETDONE_OUT            =>      gtx4_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX4_TXN_OUT                    =>      TXN_OUT(4),
        GTX4_TXP_OUT                    =>      TXP_OUT(4),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX5  (X0Y13)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX5_RXPOWERDOWN_IN             =>      gtx5_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX5_RXCHARISK_OUT              =>      gtx5_rxcharisk_i,
        GTX5_RXDISPERR_OUT              =>      gtx5_rxdisperr_i,
        GTX5_RXNOTINTABLE_OUT           =>      gtx5_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX5_RXCLKCORCNT_OUT            =>      gtx5_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX5_RXENMCOMMAALIGN_IN         =>      gtx5_rxenmcommaalign_i,
        GTX5_RXENPCOMMAALIGN_IN         =>      gtx5_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX5_RXDATA_OUT                 =>      gtx5_rxdata_i,
        GTX5_RXRECCLK_OUT               =>      gtx5_rxrecclk_i,
        GTX5_RXUSRCLK2_IN               =>      gtx5_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX5_RXN_IN                     =>      RXN_IN(5),
        GTX5_RXP_IN                     =>      RXP_IN(5),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX5_GTXRXRESET_IN              =>      gtx5_gtxrxreset_i,
        GTX5_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX5_PLLRXRESET_IN              =>      gtx5_pllrxreset_i,
        GTX5_RXPLLLKDET_OUT             =>      gtx5_rxplllkdet_i,
        GTX5_RXRESETDONE_OUT            =>      gtx5_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX5_TXN_OUT                    =>      TXN_OUT(5),
        GTX5_TXP_OUT                    =>      TXP_OUT(5),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX6  (X0Y14)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX6_RXPOWERDOWN_IN             =>      gtx6_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX6_RXCHARISK_OUT              =>      gtx6_rxcharisk_i,
        GTX6_RXDISPERR_OUT              =>      gtx6_rxdisperr_i,
        GTX6_RXNOTINTABLE_OUT           =>      gtx6_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX6_RXCLKCORCNT_OUT            =>      gtx6_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX6_RXENMCOMMAALIGN_IN         =>      gtx6_rxenmcommaalign_i,
        GTX6_RXENPCOMMAALIGN_IN         =>      gtx6_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX6_RXDATA_OUT                 =>      gtx6_rxdata_i,
        GTX6_RXRECCLK_OUT               =>      gtx6_rxrecclk_i,
        GTX6_RXUSRCLK2_IN               =>      gtx6_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX6_RXN_IN                     =>      RXN_IN(6),
        GTX6_RXP_IN                     =>      RXP_IN(6),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX6_GTXRXRESET_IN              =>      gtx6_gtxrxreset_i,
        GTX6_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX6_PLLRXRESET_IN              =>      gtx6_pllrxreset_i,
        GTX6_RXPLLLKDET_OUT             =>      gtx6_rxplllkdet_i,
        GTX6_RXRESETDONE_OUT            =>      gtx6_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX6_TXN_OUT                    =>      TXN_OUT(6),
        GTX6_TXP_OUT                    =>      TXP_OUT(6),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX7  (X0Y15)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX7_RXPOWERDOWN_IN             =>      gtx7_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX7_RXCHARISK_OUT              =>      gtx7_rxcharisk_i,
        GTX7_RXDISPERR_OUT              =>      gtx7_rxdisperr_i,
        GTX7_RXNOTINTABLE_OUT           =>      gtx7_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX7_RXCLKCORCNT_OUT            =>      gtx7_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX7_RXENMCOMMAALIGN_IN         =>      gtx7_rxenmcommaalign_i,
        GTX7_RXENPCOMMAALIGN_IN         =>      gtx7_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX7_RXDATA_OUT                 =>      gtx7_rxdata_i,
        GTX7_RXRECCLK_OUT               =>      gtx7_rxrecclk_i,
        GTX7_RXUSRCLK2_IN               =>      gtx7_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX7_RXN_IN                     =>      RXN_IN(7),
        GTX7_RXP_IN                     =>      RXP_IN(7),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX7_GTXRXRESET_IN              =>      gtx7_gtxrxreset_i,
        GTX7_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX7_PLLRXRESET_IN              =>      gtx7_pllrxreset_i,
        GTX7_RXPLLLKDET_OUT             =>      gtx7_rxplllkdet_i,
        GTX7_RXRESETDONE_OUT            =>      gtx7_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX7_TXN_OUT                    =>      TXN_OUT(7),
        GTX7_TXP_OUT                    =>      TXP_OUT(7),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX8  (X0Y16)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX8_RXPOWERDOWN_IN             =>      gtx8_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX8_RXCHARISK_OUT              =>      gtx8_rxcharisk_i,
        GTX8_RXDISPERR_OUT              =>      gtx8_rxdisperr_i,
        GTX8_RXNOTINTABLE_OUT           =>      gtx8_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX8_RXCLKCORCNT_OUT            =>      gtx8_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX8_RXENMCOMMAALIGN_IN         =>      gtx8_rxenmcommaalign_i,
        GTX8_RXENPCOMMAALIGN_IN         =>      gtx8_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX8_RXDATA_OUT                 =>      gtx8_rxdata_i,
        GTX8_RXRECCLK_OUT               =>      gtx8_rxrecclk_i,
        GTX8_RXUSRCLK2_IN               =>      gtx8_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX8_RXN_IN                     =>      RXN_IN(8),
        GTX8_RXP_IN                     =>      RXP_IN(8),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX8_GTXRXRESET_IN              =>      gtx8_gtxrxreset_i,
        GTX8_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX8_PLLRXRESET_IN              =>      gtx8_pllrxreset_i,
        GTX8_RXPLLLKDET_OUT             =>      gtx8_rxplllkdet_i,
        GTX8_RXRESETDONE_OUT            =>      gtx8_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX8_TXN_OUT                    =>      TXN_OUT(8),
        GTX8_TXP_OUT                    =>      TXP_OUT(8),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX9  (X0Y17)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX9_RXPOWERDOWN_IN             =>      gtx9_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX9_RXCHARISK_OUT              =>      gtx9_rxcharisk_i,
        GTX9_RXDISPERR_OUT              =>      gtx9_rxdisperr_i,
        GTX9_RXNOTINTABLE_OUT           =>      gtx9_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX9_RXCLKCORCNT_OUT            =>      gtx9_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX9_RXENMCOMMAALIGN_IN         =>      gtx9_rxenmcommaalign_i,
        GTX9_RXENPCOMMAALIGN_IN         =>      gtx9_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX9_RXDATA_OUT                 =>      gtx9_rxdata_i,
        GTX9_RXRECCLK_OUT               =>      gtx9_rxrecclk_i,
        GTX9_RXUSRCLK2_IN               =>      gtx9_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX9_RXN_IN                     =>      RXN_IN(9),
        GTX9_RXP_IN                     =>      RXP_IN(9),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX9_GTXRXRESET_IN              =>      gtx9_gtxrxreset_i,
        GTX9_MGTREFCLKRX_IN             =>      q3_clk0_refclk_i,
        GTX9_PLLRXRESET_IN              =>      gtx9_pllrxreset_i,
        GTX9_RXPLLLKDET_OUT             =>      gtx9_rxplllkdet_i,
        GTX9_RXRESETDONE_OUT            =>      gtx9_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX9_TXN_OUT                    =>      TXN_OUT(9),
        GTX9_TXP_OUT                    =>      TXP_OUT(9),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX10  (X0Y18)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX10_RXPOWERDOWN_IN            =>      gtx10_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX10_RXCHARISK_OUT             =>      gtx10_rxcharisk_i,
        GTX10_RXDISPERR_OUT             =>      gtx10_rxdisperr_i,
        GTX10_RXNOTINTABLE_OUT          =>      gtx10_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX10_RXCLKCORCNT_OUT           =>      gtx10_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX10_RXENMCOMMAALIGN_IN        =>      gtx10_rxenmcommaalign_i,
        GTX10_RXENPCOMMAALIGN_IN        =>      gtx10_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX10_RXDATA_OUT                =>      gtx10_rxdata_i,
        GTX10_RXRECCLK_OUT              =>      gtx10_rxrecclk_i,
        GTX10_RXUSRCLK2_IN              =>      gtx10_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX10_RXN_IN                    =>      RXN_IN(10),
        GTX10_RXP_IN                    =>      RXP_IN(10),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX10_GTXRXRESET_IN             =>      gtx10_gtxrxreset_i,
        GTX10_MGTREFCLKRX_IN            =>      q3_clk0_refclk_i,
        GTX10_PLLRXRESET_IN             =>      gtx10_pllrxreset_i,
        GTX10_RXPLLLKDET_OUT            =>      gtx10_rxplllkdet_i,
        GTX10_RXRESETDONE_OUT           =>      gtx10_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX10_TXN_OUT                   =>      TXN_OUT(10),
        GTX10_TXP_OUT                   =>      TXP_OUT(10),


  
 

        --_____________________________________________________________________
        --_____________________________________________________________________
        --GTX11  (X0Y19)
        ------------------------ Loopback and Powerdown Ports ----------------------
        GTX11_RXPOWERDOWN_IN            =>      gtx11_rxpowerdown_i,
        ----------------------- Receive Ports - 8b10b Decoder ----------------------
        GTX11_RXCHARISK_OUT             =>      gtx11_rxcharisk_i,
        GTX11_RXDISPERR_OUT             =>      gtx11_rxdisperr_i,
        GTX11_RXNOTINTABLE_OUT          =>      gtx11_rxnotintable_i,
        ------------------- Receive Ports - Clock Correction Ports -----------------
        GTX11_RXCLKCORCNT_OUT           =>      gtx11_rxclkcorcnt_i,
        --------------- Receive Ports - Comma Detection and Alignment --------------
        GTX11_RXENMCOMMAALIGN_IN        =>      gtx11_rxenmcommaalign_i,
        GTX11_RXENPCOMMAALIGN_IN        =>      gtx11_rxenpcommaalign_i,
        ------------------- Receive Ports - RX Data Path interface -----------------
        GTX11_RXDATA_OUT                =>      gtx11_rxdata_i,
        GTX11_RXRECCLK_OUT              =>      gtx11_rxrecclk_i,
        GTX11_RXUSRCLK2_IN              =>      gtx11_rxusrclk2_i,
        ------- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        GTX11_RXN_IN                    =>      RXN_IN(11),
        GTX11_RXP_IN                    =>      RXP_IN(11),
        ------------------------ Receive Ports - RX PLL Ports ----------------------
        GTX11_GTXRXRESET_IN             =>      gtx11_gtxrxreset_i,
        GTX11_MGTREFCLKRX_IN            =>      q3_clk0_refclk_i,
        GTX11_PLLRXRESET_IN             =>      gtx11_pllrxreset_i,
        GTX11_RXPLLLKDET_OUT            =>      gtx11_rxplllkdet_i,
        GTX11_RXRESETDONE_OUT           =>      gtx11_rxresetdone_i,
        ---------------- Transmit Ports - TX Driver and OOB signaling --------------
        GTX11_TXN_OUT                   =>      TXN_OUT(11),
        GTX11_TXP_OUT                   =>      TXP_OUT(11)


    );




    -------------------------- User Module Resets -----------------------------
    -- All the User Modules i.e. FRAME_GEN, FRAME_CHECK and the sync modules
    -- are held in reset till the RESETDONE goes high. 
    -- The RESETDONE is registered a couple of times on USRCLK2 and connected 
    -- to the reset of the modules
    
    process( gtx0_rxusrclk2_i)
    begin
         if(gtx0_rxusrclk2_i'event and gtx0_rxusrclk2_i = '1') then
            gtx0_rxresetdone_i_r  <= gtx0_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx0_rxusrclk2_i,gtx0_rxresetdone_i_r)
    begin
        if(gtx0_rxresetdone_i_r = '0') then
            gtx0_rxresetdone_r    <= '0'   after DLY;
            gtx0_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx0_rxusrclk2_i'event and gtx0_rxusrclk2_i = '1') then
            gtx0_rxresetdone_r    <= gtx0_rxresetdone_i_r after DLY;
            gtx0_rxresetdone_r2   <= gtx0_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx0_rxusrclk2_i)
    begin
         if(gtx0_rxusrclk2_i'event and gtx0_rxusrclk2_i = '1') then
            gtx0_rxresetdone_r3  <= gtx0_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx1_rxusrclk2_i)
    begin
         if(gtx1_rxusrclk2_i'event and gtx1_rxusrclk2_i = '1') then
            gtx1_rxresetdone_i_r  <= gtx1_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx1_rxusrclk2_i,gtx1_rxresetdone_i_r)
    begin
        if(gtx1_rxresetdone_i_r = '0') then
            gtx1_rxresetdone_r    <= '0'   after DLY;
            gtx1_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx1_rxusrclk2_i'event and gtx1_rxusrclk2_i = '1') then
            gtx1_rxresetdone_r    <= gtx1_rxresetdone_i_r after DLY;
            gtx1_rxresetdone_r2   <= gtx1_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx1_rxusrclk2_i)
    begin
         if(gtx1_rxusrclk2_i'event and gtx1_rxusrclk2_i = '1') then
            gtx1_rxresetdone_r3  <= gtx1_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx2_rxusrclk2_i)
    begin
         if(gtx2_rxusrclk2_i'event and gtx2_rxusrclk2_i = '1') then
            gtx2_rxresetdone_i_r  <= gtx2_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx2_rxusrclk2_i,gtx2_rxresetdone_i_r)
    begin
        if(gtx2_rxresetdone_i_r = '0') then
            gtx2_rxresetdone_r    <= '0'   after DLY;
            gtx2_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx2_rxusrclk2_i'event and gtx2_rxusrclk2_i = '1') then
            gtx2_rxresetdone_r    <= gtx2_rxresetdone_i_r after DLY;
            gtx2_rxresetdone_r2   <= gtx2_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx2_rxusrclk2_i)
    begin
         if(gtx2_rxusrclk2_i'event and gtx2_rxusrclk2_i = '1') then
            gtx2_rxresetdone_r3  <= gtx2_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx3_rxusrclk2_i)
    begin
         if(gtx3_rxusrclk2_i'event and gtx3_rxusrclk2_i = '1') then
            gtx3_rxresetdone_i_r  <= gtx3_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx3_rxusrclk2_i,gtx3_rxresetdone_i_r)
    begin
        if(gtx3_rxresetdone_i_r = '0') then
            gtx3_rxresetdone_r    <= '0'   after DLY;
            gtx3_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx3_rxusrclk2_i'event and gtx3_rxusrclk2_i = '1') then
            gtx3_rxresetdone_r    <= gtx3_rxresetdone_i_r after DLY;
            gtx3_rxresetdone_r2   <= gtx3_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx3_rxusrclk2_i)
    begin
         if(gtx3_rxusrclk2_i'event and gtx3_rxusrclk2_i = '1') then
            gtx3_rxresetdone_r3  <= gtx3_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx4_rxusrclk2_i)
    begin
         if(gtx4_rxusrclk2_i'event and gtx4_rxusrclk2_i = '1') then
            gtx4_rxresetdone_i_r  <= gtx4_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx4_rxusrclk2_i,gtx4_rxresetdone_i_r)
    begin
        if(gtx4_rxresetdone_i_r = '0') then
            gtx4_rxresetdone_r    <= '0'   after DLY;
            gtx4_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx4_rxusrclk2_i'event and gtx4_rxusrclk2_i = '1') then
            gtx4_rxresetdone_r    <= gtx4_rxresetdone_i_r after DLY;
            gtx4_rxresetdone_r2   <= gtx4_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx4_rxusrclk2_i)
    begin
         if(gtx4_rxusrclk2_i'event and gtx4_rxusrclk2_i = '1') then
            gtx4_rxresetdone_r3  <= gtx4_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx5_rxusrclk2_i)
    begin
         if(gtx5_rxusrclk2_i'event and gtx5_rxusrclk2_i = '1') then
            gtx5_rxresetdone_i_r  <= gtx5_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx5_rxusrclk2_i,gtx5_rxresetdone_i_r)
    begin
        if(gtx5_rxresetdone_i_r = '0') then
            gtx5_rxresetdone_r    <= '0'   after DLY;
            gtx5_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx5_rxusrclk2_i'event and gtx5_rxusrclk2_i = '1') then
            gtx5_rxresetdone_r    <= gtx5_rxresetdone_i_r after DLY;
            gtx5_rxresetdone_r2   <= gtx5_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx5_rxusrclk2_i)
    begin
         if(gtx5_rxusrclk2_i'event and gtx5_rxusrclk2_i = '1') then
            gtx5_rxresetdone_r3  <= gtx5_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx6_rxusrclk2_i)
    begin
         if(gtx6_rxusrclk2_i'event and gtx6_rxusrclk2_i = '1') then
            gtx6_rxresetdone_i_r  <= gtx6_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx6_rxusrclk2_i,gtx6_rxresetdone_i_r)
    begin
        if(gtx6_rxresetdone_i_r = '0') then
            gtx6_rxresetdone_r    <= '0'   after DLY;
            gtx6_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx6_rxusrclk2_i'event and gtx6_rxusrclk2_i = '1') then
            gtx6_rxresetdone_r    <= gtx6_rxresetdone_i_r after DLY;
            gtx6_rxresetdone_r2   <= gtx6_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx6_rxusrclk2_i)
    begin
         if(gtx6_rxusrclk2_i'event and gtx6_rxusrclk2_i = '1') then
            gtx6_rxresetdone_r3  <= gtx6_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx7_rxusrclk2_i)
    begin
         if(gtx7_rxusrclk2_i'event and gtx7_rxusrclk2_i = '1') then
            gtx7_rxresetdone_i_r  <= gtx7_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx7_rxusrclk2_i,gtx7_rxresetdone_i_r)
    begin
        if(gtx7_rxresetdone_i_r = '0') then
            gtx7_rxresetdone_r    <= '0'   after DLY;
            gtx7_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx7_rxusrclk2_i'event and gtx7_rxusrclk2_i = '1') then
            gtx7_rxresetdone_r    <= gtx7_rxresetdone_i_r after DLY;
            gtx7_rxresetdone_r2   <= gtx7_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx7_rxusrclk2_i)
    begin
         if(gtx7_rxusrclk2_i'event and gtx7_rxusrclk2_i = '1') then
            gtx7_rxresetdone_r3  <= gtx7_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx8_rxusrclk2_i)
    begin
         if(gtx8_rxusrclk2_i'event and gtx8_rxusrclk2_i = '1') then
            gtx8_rxresetdone_i_r  <= gtx8_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx8_rxusrclk2_i,gtx8_rxresetdone_i_r)
    begin
        if(gtx8_rxresetdone_i_r = '0') then
            gtx8_rxresetdone_r    <= '0'   after DLY;
            gtx8_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx8_rxusrclk2_i'event and gtx8_rxusrclk2_i = '1') then
            gtx8_rxresetdone_r    <= gtx8_rxresetdone_i_r after DLY;
            gtx8_rxresetdone_r2   <= gtx8_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx8_rxusrclk2_i)
    begin
         if(gtx8_rxusrclk2_i'event and gtx8_rxusrclk2_i = '1') then
            gtx8_rxresetdone_r3  <= gtx8_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx9_rxusrclk2_i)
    begin
         if(gtx9_rxusrclk2_i'event and gtx9_rxusrclk2_i = '1') then
            gtx9_rxresetdone_i_r  <= gtx9_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx9_rxusrclk2_i,gtx9_rxresetdone_i_r)
    begin
        if(gtx9_rxresetdone_i_r = '0') then
            gtx9_rxresetdone_r    <= '0'   after DLY;
            gtx9_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx9_rxusrclk2_i'event and gtx9_rxusrclk2_i = '1') then
            gtx9_rxresetdone_r    <= gtx9_rxresetdone_i_r after DLY;
            gtx9_rxresetdone_r2   <= gtx9_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx9_rxusrclk2_i)
    begin
         if(gtx9_rxusrclk2_i'event and gtx9_rxusrclk2_i = '1') then
            gtx9_rxresetdone_r3  <= gtx9_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx10_rxusrclk2_i)
    begin
         if(gtx10_rxusrclk2_i'event and gtx10_rxusrclk2_i = '1') then
            gtx10_rxresetdone_i_r  <= gtx10_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx10_rxusrclk2_i,gtx10_rxresetdone_i_r)
    begin
        if(gtx10_rxresetdone_i_r = '0') then
            gtx10_rxresetdone_r    <= '0'   after DLY;
            gtx10_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx10_rxusrclk2_i'event and gtx10_rxusrclk2_i = '1') then
            gtx10_rxresetdone_r    <= gtx10_rxresetdone_i_r after DLY;
            gtx10_rxresetdone_r2   <= gtx10_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx10_rxusrclk2_i)
    begin
         if(gtx10_rxusrclk2_i'event and gtx10_rxusrclk2_i = '1') then
            gtx10_rxresetdone_r3  <= gtx10_rxresetdone_r2   after DLY;
         end if; 
    end process; 

    process( gtx11_rxusrclk2_i)
    begin
         if(gtx11_rxusrclk2_i'event and gtx11_rxusrclk2_i = '1') then
            gtx11_rxresetdone_i_r  <= gtx11_rxresetdone_i   after DLY;
         end if; 
    end process; 

    process( gtx11_rxusrclk2_i,gtx11_rxresetdone_i_r)
    begin
        if(gtx11_rxresetdone_i_r = '0') then
            gtx11_rxresetdone_r    <= '0'   after DLY;
            gtx11_rxresetdone_r2   <= '0'   after DLY;
        elsif(gtx11_rxusrclk2_i'event and gtx11_rxusrclk2_i = '1') then
            gtx11_rxresetdone_r    <= gtx11_rxresetdone_i_r after DLY;
            gtx11_rxresetdone_r2   <= gtx11_rxresetdone_r   after DLY;
        end if;
    end process;

    process( gtx11_rxusrclk2_i)
    begin
         if(gtx11_rxusrclk2_i'event and gtx11_rxusrclk2_i = '1') then
            gtx11_rxresetdone_r3  <= gtx11_rxresetdone_r2   after DLY;
         end if; 
    end process; 





    ---------------------------------- Frame Checkers -------------------------
    -- The example design uses Block RAM based frame checkers to verify incoming  
    -- data. By default the frame generators are loaded with a data sequence that 
    -- matches the outgoing sequence of the frame generators for the TX ports.
    
    -- You can modify the expected data sequence by changing the INIT values of the frame
    -- checkers in this file. Pay careful attention to bit order and the spacing
    -- of your control and alignment characters.
    
    -- When the frame checker receives data, it attempts to synchronise to the 
    -- incoming pattern by looking for the first sequence in the pattern. Once it 
    -- finds the first sequence, it increments through the sequence, and indicates an 
    -- error whenever the next value received does not match the expected value.

    gtx0_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx0_matchn_i;

    -- gtx0_frame_check0 is always connected to the lane with the start of char
    -- and this lane starts off the data checking on all the other lanes. The INC_IN port is tied off
    gtx0_inc_in_i                                <= '0';

 
    gtx0_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      1,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx0_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx0_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx0_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx0_inc_in_i,
        INC_OUT                         =>      gtx0_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx0_matchn_i,
        RESET_ON_ERROR                  =>      gtx0_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx0_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx0_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx0_error_count_i,
        TRACK_DATA                      =>      gtx0_track_data_i
    );
        
    gtx1_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx1_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx1_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx1_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx1_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx1_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx1_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx1_inc_in_i,
        INC_OUT                         =>      gtx1_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx1_matchn_i,
        RESET_ON_ERROR                  =>      gtx1_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx1_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx1_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx1_error_count_i,
        TRACK_DATA                      =>      gtx1_track_data_i
    );
        
    gtx2_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx2_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx2_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx2_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx2_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx2_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx2_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx2_inc_in_i,
        INC_OUT                         =>      gtx2_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx2_matchn_i,
        RESET_ON_ERROR                  =>      gtx2_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx2_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx2_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx2_error_count_i,
        TRACK_DATA                      =>      gtx2_track_data_i
    );
        
    gtx3_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx3_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx3_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx3_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx3_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx3_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx3_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx3_inc_in_i,
        INC_OUT                         =>      gtx3_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx3_matchn_i,
        RESET_ON_ERROR                  =>      gtx3_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx3_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx3_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx3_error_count_i,
        TRACK_DATA                      =>      gtx3_track_data_i
    );
        
    gtx4_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx4_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx4_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx4_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx4_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx4_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx4_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx4_inc_in_i,
        INC_OUT                         =>      gtx4_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx4_matchn_i,
        RESET_ON_ERROR                  =>      gtx4_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx4_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx4_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx4_error_count_i,
        TRACK_DATA                      =>      gtx4_track_data_i
    );
        
    gtx5_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx5_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx5_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx5_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx5_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx5_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx5_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx5_inc_in_i,
        INC_OUT                         =>      gtx5_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx5_matchn_i,
        RESET_ON_ERROR                  =>      gtx5_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx5_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx5_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx5_error_count_i,
        TRACK_DATA                      =>      gtx5_track_data_i
    );
        
    gtx6_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx6_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx6_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx6_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx6_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx6_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx6_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx6_inc_in_i,
        INC_OUT                         =>      gtx6_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx6_matchn_i,
        RESET_ON_ERROR                  =>      gtx6_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx6_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx6_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx6_error_count_i,
        TRACK_DATA                      =>      gtx6_track_data_i
    );
        
    gtx7_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx7_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx7_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx7_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx7_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx7_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx7_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx7_inc_in_i,
        INC_OUT                         =>      gtx7_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx7_matchn_i,
        RESET_ON_ERROR                  =>      gtx7_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx7_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx7_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx7_error_count_i,
        TRACK_DATA                      =>      gtx7_track_data_i
    );
        
    gtx8_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx8_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx8_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx8_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx8_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx8_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx8_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx8_inc_in_i,
        INC_OUT                         =>      gtx8_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx8_matchn_i,
        RESET_ON_ERROR                  =>      gtx8_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx8_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx8_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx8_error_count_i,
        TRACK_DATA                      =>      gtx8_track_data_i
    );
        
    gtx9_frame_check_reset_i                     <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx9_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx9_inc_in_i                                <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx9_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx9_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx9_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx9_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx9_inc_in_i,
        INC_OUT                         =>      gtx9_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx9_matchn_i,
        RESET_ON_ERROR                  =>      gtx9_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx9_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx9_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx9_error_count_i,
        TRACK_DATA                      =>      gtx9_track_data_i
    );
        
    gtx10_frame_check_reset_i                    <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx10_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx10_inc_in_i                               <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx10_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx10_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx10_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx10_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx10_inc_in_i,
        INC_OUT                         =>      gtx10_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx10_matchn_i,
        RESET_ON_ERROR                  =>      gtx10_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx10_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx10_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx10_error_count_i,
        TRACK_DATA                      =>      gtx10_track_data_i
    );
        
    gtx11_frame_check_reset_i                    <= reset_on_data_error_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else gtx11_matchn_i;

    -- in the "independent lanes" configuration, each of the lanes looks for the unique start char and
    -- in this case, the INC_IN port is tied off.
    -- Else, the data checking is triggered by the "master" lane
    gtx11_inc_in_i                               <= gtx0_inc_out_i when (EXAMPLE_CONFIG_INDEPENDENT_LANES=0) else '0';

 
    gtx11_frame_check : FRAME_CHECK
    generic map
    (
        RX_DATA_WIDTH                   =>      16,
        USE_COMMA                       =>      1,
        WORDS_IN_BRAM                   =>      EXAMPLE_WORDS_IN_BRAM,
        CONFIG_INDEPENDENT_LANES        =>      EXAMPLE_CONFIG_INDEPENDENT_LANES,
        START_OF_PACKET_CHAR            =>      x"bc",
        MEM_00                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_01                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_02                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_03                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_04                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_05                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_06                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_07                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_08                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_09                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_0A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_0B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_0C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_0D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_0E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_0F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_10                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_11                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_12                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_13                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_14                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_15                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_16                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_17                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_18                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_19                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_1A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_1B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_1C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_1D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_1E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_1F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_20                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_21                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_22                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_23                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_24                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_25                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_26                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_27                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_28                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_29                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_2A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_2B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_2C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_2D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_2E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_2F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_30                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_31                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_32                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_33                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_34                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_35                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_36                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_37                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEM_38                  =>  x"00000e0d00000c0b00000a09000008070000060500000403000002bc00000100",
        MEM_39                  =>  x"00001e1d00001c1b00001a19000018170000161500001413000012110000100f",
        MEM_3A                  =>  x"00002e2d00002c2b00002a29000028270000262500002423000022210000201f",
        MEM_3B                  =>  x"00003e3d00003c3b00003a39000038370000363500003433000032310000302f",
        MEM_3C                  =>  x"00004e4d00004c4b00004a49000048470000464500004443000042410000403f",
        MEM_3D                  =>  x"00005e5d00005c5b00005a59000058570000565500005453000052510000504f",
        MEM_3E                  =>  x"00006e6d00006c6b00006a69000068670000666500006463000062610000605f",
        MEM_3F                  =>  x"00007e7d00007c7b00007a79000078770000767500007473000072710000706f",
        MEMP_00                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_01                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_02                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_03                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_04                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_05                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_06                  =>  x"0000000000000000000000000000000000000000000000000000000000000010",
        MEMP_07                  =>  x"0000000000000000000000000000000000000000000000000000000000000010"
    )
    port map
    (
        -- MGT Interface
        RX_DATA                         =>      gtx11_rxdata_i,
        RX_ENMCOMMA_ALIGN               =>      gtx11_rxenmcommaalign_i,
        RX_ENPCOMMA_ALIGN               =>      gtx11_rxenpcommaalign_i,
        RX_ENCHAN_SYNC                  =>      open,
        RX_CHANBOND_SEQ                 =>      tied_to_ground_i,
        -- Control Interface
        INC_IN                          =>      gtx11_inc_in_i,
        INC_OUT                         =>      gtx11_inc_out_i,
        PATTERN_MATCH_N                 =>      gtx11_matchn_i,
        RESET_ON_ERROR                  =>      gtx11_frame_check_reset_i,
        -- System Interface
        USER_CLK                        =>      gtx11_rxusrclk2_i,
        SYSTEM_RESET                    =>      gtx11_rx_system_reset_c,
        ERROR_COUNT                     =>      gtx11_error_count_i,
        TRACK_DATA                      =>      gtx11_track_data_i
    );
        


    TRACK_DATA_OUT                               <= track_data_out_i;

    track_data_out_i                             <= 
                                gtx0_track_data_i  and
                                gtx1_track_data_i  and
                                gtx2_track_data_i  and
                                gtx3_track_data_i  and
                                gtx4_track_data_i  and
                                gtx5_track_data_i  and
                                gtx6_track_data_i  and
                                gtx7_track_data_i  and
                                gtx8_track_data_i  and
                                gtx9_track_data_i  and
                                gtx10_track_data_i  and
                                gtx11_track_data_i ;



    ----------------------------- Chipscope Connections -----------------------
    -- When the example design is run in hardware, it uses chipscope to allow the
    -- example design and GTX wrapper to be controlled and monitored. The 
    -- EXAMPLE_USE_CHIPSCOPE parameter allows chipscope to be removed for simulation.
    
chipscope : if EXAMPLE_USE_CHIPSCOPE = 1 generate
    
    
    -- Shared VIO for all transievers 
    shared_vio_i : data_vio
    port map
    (
        control                         =>      shared_vio_control_i,
        clk                             =>      tied_to_ground_i,
        async_in                        =>      shared_vio_in_i,
        async_out                       =>      shared_vio_out_i,
        sync_in                         =>      tied_to_ground_vec_i(31 downto 0),
        sync_out                        =>      open
    );
    
    -- ICON for all VIOs 
    i_icon : icon
    port map
    (
        control0                        =>      shared_vio_control_i,
        control1                        =>      tx_data_vio_control_i,
        control2                        =>      rx_data_vio_control_i,
        control3                        =>      ila_control_i
    );

    
    -- TX VIO 
    tx_data_vio_i : data_vio
    port map
    (
        control                         =>      tx_data_vio_control_i,
        clk                             =>      rx_vio_ila_clk_i,
        async_in                        =>      tx_data_vio_async_in_i,
        async_out                       =>      tx_data_vio_async_out_i,
        sync_in                         =>      tx_data_vio_sync_in_i,
        sync_out                        =>      tx_data_vio_sync_out_i
    );
    
    -- RX VIO 
    rx_data_vio_i : data_vio
    port map
    (
        control                         =>      rx_data_vio_control_i,
        clk                             =>      rx_vio_ila_clk_i,
        async_in                        =>      rx_data_vio_async_in_i,
        async_out                       =>      rx_data_vio_async_out_i,
        sync_in                         =>      rx_data_vio_sync_in_i,
        sync_out                        =>      rx_data_vio_sync_out_i
    );
    
    -- RX ILA
    ila_i : ila
    port map
    (
        control                         =>      ila_control_i,
        clk                             =>      rx_vio_ila_clk_i,
        trig0                           =>      ila_in_i
    );


    -- The RX VIO and ILA must use the same clock as the selected transceiver
    rx_vio_ila_clk_i <= gtx0_rxusrclk2_i;

 
    gtx0_rx_data_to_fifo_i <= (gtx0_rx_data_vio_async_in_i & gtx0_rx_data_vio_sync_in_i & gtx0_ila_in_i);

    rx_phase_align_fifo_0_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx0_rx_system_reset_c,
        wr_clk                          =>      gtx0_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx0_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx0_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx0_rx_data_fifo_vio_async_in_i <= gtx0_rx_data_from_fifo_i(148 downto 117);

    gtx0_rx_data_fifo_vio_sync_in_i <= gtx0_rx_data_from_fifo_i(116 downto 85);

    gtx0_fifo_ila_in_i <= gtx0_rx_data_from_fifo_i(84 downto 0);

 
    gtx1_rx_data_to_fifo_i <= (gtx1_rx_data_vio_async_in_i & gtx1_rx_data_vio_sync_in_i & gtx1_ila_in_i);

    rx_phase_align_fifo_1_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx1_rx_system_reset_c,
        wr_clk                          =>      gtx1_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx1_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx1_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx1_rx_data_fifo_vio_async_in_i <= gtx1_rx_data_from_fifo_i(148 downto 117);

    gtx1_rx_data_fifo_vio_sync_in_i <= gtx1_rx_data_from_fifo_i(116 downto 85);

    gtx1_fifo_ila_in_i <= gtx1_rx_data_from_fifo_i(84 downto 0);

 
    gtx2_rx_data_to_fifo_i <= (gtx2_rx_data_vio_async_in_i & gtx2_rx_data_vio_sync_in_i & gtx2_ila_in_i);

    rx_phase_align_fifo_2_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx2_rx_system_reset_c,
        wr_clk                          =>      gtx2_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx2_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx2_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx2_rx_data_fifo_vio_async_in_i <= gtx2_rx_data_from_fifo_i(148 downto 117);

    gtx2_rx_data_fifo_vio_sync_in_i <= gtx2_rx_data_from_fifo_i(116 downto 85);

    gtx2_fifo_ila_in_i <= gtx2_rx_data_from_fifo_i(84 downto 0);

 
    gtx3_rx_data_to_fifo_i <= (gtx3_rx_data_vio_async_in_i & gtx3_rx_data_vio_sync_in_i & gtx3_ila_in_i);

    rx_phase_align_fifo_3_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx3_rx_system_reset_c,
        wr_clk                          =>      gtx3_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx3_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx3_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx3_rx_data_fifo_vio_async_in_i <= gtx3_rx_data_from_fifo_i(148 downto 117);

    gtx3_rx_data_fifo_vio_sync_in_i <= gtx3_rx_data_from_fifo_i(116 downto 85);

    gtx3_fifo_ila_in_i <= gtx3_rx_data_from_fifo_i(84 downto 0);

 
    gtx4_rx_data_to_fifo_i <= (gtx4_rx_data_vio_async_in_i & gtx4_rx_data_vio_sync_in_i & gtx4_ila_in_i);

    rx_phase_align_fifo_4_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx4_rx_system_reset_c,
        wr_clk                          =>      gtx4_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx4_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx4_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx4_rx_data_fifo_vio_async_in_i <= gtx4_rx_data_from_fifo_i(148 downto 117);

    gtx4_rx_data_fifo_vio_sync_in_i <= gtx4_rx_data_from_fifo_i(116 downto 85);

    gtx4_fifo_ila_in_i <= gtx4_rx_data_from_fifo_i(84 downto 0);

 
    gtx5_rx_data_to_fifo_i <= (gtx5_rx_data_vio_async_in_i & gtx5_rx_data_vio_sync_in_i & gtx5_ila_in_i);

    rx_phase_align_fifo_5_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx5_rx_system_reset_c,
        wr_clk                          =>      gtx5_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx5_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx5_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx5_rx_data_fifo_vio_async_in_i <= gtx5_rx_data_from_fifo_i(148 downto 117);

    gtx5_rx_data_fifo_vio_sync_in_i <= gtx5_rx_data_from_fifo_i(116 downto 85);

    gtx5_fifo_ila_in_i <= gtx5_rx_data_from_fifo_i(84 downto 0);

 
    gtx6_rx_data_to_fifo_i <= (gtx6_rx_data_vio_async_in_i & gtx6_rx_data_vio_sync_in_i & gtx6_ila_in_i);

    rx_phase_align_fifo_6_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx6_rx_system_reset_c,
        wr_clk                          =>      gtx6_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx6_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx6_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx6_rx_data_fifo_vio_async_in_i <= gtx6_rx_data_from_fifo_i(148 downto 117);

    gtx6_rx_data_fifo_vio_sync_in_i <= gtx6_rx_data_from_fifo_i(116 downto 85);

    gtx6_fifo_ila_in_i <= gtx6_rx_data_from_fifo_i(84 downto 0);

 
    gtx7_rx_data_to_fifo_i <= (gtx7_rx_data_vio_async_in_i & gtx7_rx_data_vio_sync_in_i & gtx7_ila_in_i);

    rx_phase_align_fifo_7_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx7_rx_system_reset_c,
        wr_clk                          =>      gtx7_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx7_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx7_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx7_rx_data_fifo_vio_async_in_i <= gtx7_rx_data_from_fifo_i(148 downto 117);

    gtx7_rx_data_fifo_vio_sync_in_i <= gtx7_rx_data_from_fifo_i(116 downto 85);

    gtx7_fifo_ila_in_i <= gtx7_rx_data_from_fifo_i(84 downto 0);

 
    gtx8_rx_data_to_fifo_i <= (gtx8_rx_data_vio_async_in_i & gtx8_rx_data_vio_sync_in_i & gtx8_ila_in_i);

    rx_phase_align_fifo_8_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx8_rx_system_reset_c,
        wr_clk                          =>      gtx8_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx8_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx8_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx8_rx_data_fifo_vio_async_in_i <= gtx8_rx_data_from_fifo_i(148 downto 117);

    gtx8_rx_data_fifo_vio_sync_in_i <= gtx8_rx_data_from_fifo_i(116 downto 85);

    gtx8_fifo_ila_in_i <= gtx8_rx_data_from_fifo_i(84 downto 0);

 
    gtx9_rx_data_to_fifo_i <= (gtx9_rx_data_vio_async_in_i & gtx9_rx_data_vio_sync_in_i & gtx9_ila_in_i);

    rx_phase_align_fifo_9_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx9_rx_system_reset_c,
        wr_clk                          =>      gtx9_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx9_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx9_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx9_rx_data_fifo_vio_async_in_i <= gtx9_rx_data_from_fifo_i(148 downto 117);

    gtx9_rx_data_fifo_vio_sync_in_i <= gtx9_rx_data_from_fifo_i(116 downto 85);

    gtx9_fifo_ila_in_i <= gtx9_rx_data_from_fifo_i(84 downto 0);

 
    gtx10_rx_data_to_fifo_i <= (gtx10_rx_data_vio_async_in_i & gtx10_rx_data_vio_sync_in_i & gtx10_ila_in_i);

    rx_phase_align_fifo_10_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx10_rx_system_reset_c,
        wr_clk                          =>      gtx10_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx10_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx10_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx10_rx_data_fifo_vio_async_in_i <= gtx10_rx_data_from_fifo_i(148 downto 117);

    gtx10_rx_data_fifo_vio_sync_in_i <= gtx10_rx_data_from_fifo_i(116 downto 85);

    gtx10_fifo_ila_in_i <= gtx10_rx_data_from_fifo_i(84 downto 0);

 
    gtx11_rx_data_to_fifo_i <= (gtx11_rx_data_vio_async_in_i & gtx11_rx_data_vio_sync_in_i & gtx11_ila_in_i);

    rx_phase_align_fifo_11_i : rx_phase_align_fifo  
    port map
    (
        rst                             =>      gtx11_rx_system_reset_c,
        wr_clk                          =>      gtx11_rxusrclk2_i,
        rd_clk                          =>      rx_vio_ila_clk_i,
        din                             =>      gtx11_rx_data_to_fifo_i,
        wr_en                           =>      '1',
        rd_en                           =>      '1',
        dout                            =>      gtx11_rx_data_from_fifo_i,
        full                            =>      open,
        empty                           =>      open
    );

    gtx11_rx_data_fifo_vio_async_in_i <= gtx11_rx_data_from_fifo_i(148 downto 117);

    gtx11_rx_data_fifo_vio_sync_in_i <= gtx11_rx_data_from_fifo_i(116 downto 85);

    gtx11_fifo_ila_in_i <= gtx11_rx_data_from_fifo_i(84 downto 0);


    -- assign resets for frame_gen modules
    -- assign resets for frame_check modules
    gtx0_rx_system_reset_c                       <= not gtx0_rxresetdone_r3 or user_rx_reset_i;
    gtx1_rx_system_reset_c                       <= not gtx1_rxresetdone_r3 or user_rx_reset_i;
    gtx2_rx_system_reset_c                       <= not gtx2_rxresetdone_r3 or user_rx_reset_i;
    gtx3_rx_system_reset_c                       <= not gtx3_rxresetdone_r3 or user_rx_reset_i;
    gtx4_rx_system_reset_c                       <= not gtx4_rxresetdone_r3 or user_rx_reset_i;
    gtx5_rx_system_reset_c                       <= not gtx5_rxresetdone_r3 or user_rx_reset_i;
    gtx6_rx_system_reset_c                       <= not gtx6_rxresetdone_r3 or user_rx_reset_i;
    gtx7_rx_system_reset_c                       <= not gtx7_rxresetdone_r3 or user_rx_reset_i;
    gtx8_rx_system_reset_c                       <= not gtx8_rxresetdone_r3 or user_rx_reset_i;
    gtx9_rx_system_reset_c                       <= not gtx9_rxresetdone_r3 or user_rx_reset_i;
    gtx10_rx_system_reset_c                      <= not gtx10_rxresetdone_r3 or user_rx_reset_i;
    gtx11_rx_system_reset_c                      <= not gtx11_rxresetdone_r3 or user_rx_reset_i;

    gtx0_gtxrxreset_i                            <= gtxrxreset_i;
    gtx1_gtxrxreset_i                            <= gtxrxreset_i;
    gtx2_gtxrxreset_i                            <= gtxrxreset_i;
    gtx3_gtxrxreset_i                            <= gtxrxreset_i;
    gtx4_gtxrxreset_i                            <= gtxrxreset_i;
    gtx5_gtxrxreset_i                            <= gtxrxreset_i;
    gtx6_gtxrxreset_i                            <= gtxrxreset_i;
    gtx7_gtxrxreset_i                            <= gtxrxreset_i;
    gtx8_gtxrxreset_i                            <= gtxrxreset_i;
    gtx9_gtxrxreset_i                            <= gtxrxreset_i;
    gtx10_gtxrxreset_i                           <= gtxrxreset_i;
    gtx11_gtxrxreset_i                           <= gtxrxreset_i;

    -- Shared VIO Outputs
    gtxrxreset_i                                 <= shared_vio_out_i(31);
    user_tx_reset_i                              <= shared_vio_out_i(30);
    user_rx_reset_i                              <= shared_vio_out_i(29);
    mux_sel_i                                    <= shared_vio_out_i(28 downto 25);

    -- Shared VIO Inputs
    shared_vio_in_i(31 downto 0)                 <= "00000000000000000000000000000000";

    -- Chipscope connections on GTX 0
    gtx0_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx0_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx0_rx_data_vio_async_in_i(31)              <= gtx0_rxplllkdet_i;
    gtx0_rx_data_vio_async_in_i(30)              <= gtx0_rxresetdone_i;
    gtx0_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx0_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx0_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx0_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx0_ila_in_i(84 downto 83)                  <= gtx0_rxcharisk_i;
    gtx0_ila_in_i(82 downto 81)                  <= gtx0_rxdisperr_i;
    gtx0_ila_in_i(80 downto 79)                  <= gtx0_rxnotintable_i;
    gtx0_ila_in_i(78 downto 76)                  <= gtx0_rxclkcorcnt_i;
    gtx0_ila_in_i(75 downto 60)                  <= gtx0_rxdata_i;
    gtx0_ila_in_i(59 downto 52)                  <= gtx0_error_count_i;
    gtx0_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 1
    gtx1_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx1_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx1_rx_data_vio_async_in_i(31)              <= gtx1_rxplllkdet_i;
    gtx1_rx_data_vio_async_in_i(30)              <= gtx1_rxresetdone_i;
    gtx1_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx1_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx1_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx1_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx1_ila_in_i(84 downto 83)                  <= gtx1_rxcharisk_i;
    gtx1_ila_in_i(82 downto 81)                  <= gtx1_rxdisperr_i;
    gtx1_ila_in_i(80 downto 79)                  <= gtx1_rxnotintable_i;
    gtx1_ila_in_i(78 downto 76)                  <= gtx1_rxclkcorcnt_i;
    gtx1_ila_in_i(75 downto 60)                  <= gtx1_rxdata_i;
    gtx1_ila_in_i(59 downto 52)                  <= gtx1_error_count_i;
    gtx1_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 2
    gtx2_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx2_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx2_rx_data_vio_async_in_i(31)              <= gtx2_rxplllkdet_i;
    gtx2_rx_data_vio_async_in_i(30)              <= gtx2_rxresetdone_i;
    gtx2_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx2_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx2_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx2_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx2_ila_in_i(84 downto 83)                  <= gtx2_rxcharisk_i;
    gtx2_ila_in_i(82 downto 81)                  <= gtx2_rxdisperr_i;
    gtx2_ila_in_i(80 downto 79)                  <= gtx2_rxnotintable_i;
    gtx2_ila_in_i(78 downto 76)                  <= gtx2_rxclkcorcnt_i;
    gtx2_ila_in_i(75 downto 60)                  <= gtx2_rxdata_i;
    gtx2_ila_in_i(59 downto 52)                  <= gtx2_error_count_i;
    gtx2_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 3
    gtx3_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx3_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx3_rx_data_vio_async_in_i(31)              <= gtx3_rxplllkdet_i;
    gtx3_rx_data_vio_async_in_i(30)              <= gtx3_rxresetdone_i;
    gtx3_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx3_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx3_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx3_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx3_ila_in_i(84 downto 83)                  <= gtx3_rxcharisk_i;
    gtx3_ila_in_i(82 downto 81)                  <= gtx3_rxdisperr_i;
    gtx3_ila_in_i(80 downto 79)                  <= gtx3_rxnotintable_i;
    gtx3_ila_in_i(78 downto 76)                  <= gtx3_rxclkcorcnt_i;
    gtx3_ila_in_i(75 downto 60)                  <= gtx3_rxdata_i;
    gtx3_ila_in_i(59 downto 52)                  <= gtx3_error_count_i;
    gtx3_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 4
    gtx4_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx4_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx4_rx_data_vio_async_in_i(31)              <= gtx4_rxplllkdet_i;
    gtx4_rx_data_vio_async_in_i(30)              <= gtx4_rxresetdone_i;
    gtx4_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx4_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx4_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx4_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx4_ila_in_i(84 downto 83)                  <= gtx4_rxcharisk_i;
    gtx4_ila_in_i(82 downto 81)                  <= gtx4_rxdisperr_i;
    gtx4_ila_in_i(80 downto 79)                  <= gtx4_rxnotintable_i;
    gtx4_ila_in_i(78 downto 76)                  <= gtx4_rxclkcorcnt_i;
    gtx4_ila_in_i(75 downto 60)                  <= gtx4_rxdata_i;
    gtx4_ila_in_i(59 downto 52)                  <= gtx4_error_count_i;
    gtx4_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 5
    gtx5_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx5_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx5_rx_data_vio_async_in_i(31)              <= gtx5_rxplllkdet_i;
    gtx5_rx_data_vio_async_in_i(30)              <= gtx5_rxresetdone_i;
    gtx5_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx5_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx5_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx5_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx5_ila_in_i(84 downto 83)                  <= gtx5_rxcharisk_i;
    gtx5_ila_in_i(82 downto 81)                  <= gtx5_rxdisperr_i;
    gtx5_ila_in_i(80 downto 79)                  <= gtx5_rxnotintable_i;
    gtx5_ila_in_i(78 downto 76)                  <= gtx5_rxclkcorcnt_i;
    gtx5_ila_in_i(75 downto 60)                  <= gtx5_rxdata_i;
    gtx5_ila_in_i(59 downto 52)                  <= gtx5_error_count_i;
    gtx5_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 6
    gtx6_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx6_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx6_rx_data_vio_async_in_i(31)              <= gtx6_rxplllkdet_i;
    gtx6_rx_data_vio_async_in_i(30)              <= gtx6_rxresetdone_i;
    gtx6_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx6_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx6_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx6_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx6_ila_in_i(84 downto 83)                  <= gtx6_rxcharisk_i;
    gtx6_ila_in_i(82 downto 81)                  <= gtx6_rxdisperr_i;
    gtx6_ila_in_i(80 downto 79)                  <= gtx6_rxnotintable_i;
    gtx6_ila_in_i(78 downto 76)                  <= gtx6_rxclkcorcnt_i;
    gtx6_ila_in_i(75 downto 60)                  <= gtx6_rxdata_i;
    gtx6_ila_in_i(59 downto 52)                  <= gtx6_error_count_i;
    gtx6_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 7
    gtx7_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx7_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx7_rx_data_vio_async_in_i(31)              <= gtx7_rxplllkdet_i;
    gtx7_rx_data_vio_async_in_i(30)              <= gtx7_rxresetdone_i;
    gtx7_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx7_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx7_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx7_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx7_ila_in_i(84 downto 83)                  <= gtx7_rxcharisk_i;
    gtx7_ila_in_i(82 downto 81)                  <= gtx7_rxdisperr_i;
    gtx7_ila_in_i(80 downto 79)                  <= gtx7_rxnotintable_i;
    gtx7_ila_in_i(78 downto 76)                  <= gtx7_rxclkcorcnt_i;
    gtx7_ila_in_i(75 downto 60)                  <= gtx7_rxdata_i;
    gtx7_ila_in_i(59 downto 52)                  <= gtx7_error_count_i;
    gtx7_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 8
    gtx8_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx8_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx8_rx_data_vio_async_in_i(31)              <= gtx8_rxplllkdet_i;
    gtx8_rx_data_vio_async_in_i(30)              <= gtx8_rxresetdone_i;
    gtx8_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx8_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx8_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx8_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx8_ila_in_i(84 downto 83)                  <= gtx8_rxcharisk_i;
    gtx8_ila_in_i(82 downto 81)                  <= gtx8_rxdisperr_i;
    gtx8_ila_in_i(80 downto 79)                  <= gtx8_rxnotintable_i;
    gtx8_ila_in_i(78 downto 76)                  <= gtx8_rxclkcorcnt_i;
    gtx8_ila_in_i(75 downto 60)                  <= gtx8_rxdata_i;
    gtx8_ila_in_i(59 downto 52)                  <= gtx8_error_count_i;
    gtx8_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 9
    gtx9_tx_data_vio_async_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx9_tx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx9_rx_data_vio_async_in_i(31)              <= gtx9_rxplllkdet_i;
    gtx9_rx_data_vio_async_in_i(30)              <= gtx9_rxresetdone_i;
    gtx9_rx_data_vio_async_in_i(29 downto 0)     <= "000000000000000000000000000000";
    gtx9_rx_data_vio_sync_in_i(31 downto 0)      <= "00000000000000000000000000000000";
    gtx9_pllrxreset_i                            <= rx_data_vio_async_out_i(31);
    gtx9_rxpowerdown_i                           <= rx_data_vio_async_out_i(30 downto 29);
    gtx9_ila_in_i(84 downto 83)                  <= gtx9_rxcharisk_i;
    gtx9_ila_in_i(82 downto 81)                  <= gtx9_rxdisperr_i;
    gtx9_ila_in_i(80 downto 79)                  <= gtx9_rxnotintable_i;
    gtx9_ila_in_i(78 downto 76)                  <= gtx9_rxclkcorcnt_i;
    gtx9_ila_in_i(75 downto 60)                  <= gtx9_rxdata_i;
    gtx9_ila_in_i(59 downto 52)                  <= gtx9_error_count_i;
    gtx9_ila_in_i(51 downto 0)                   <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 10
    gtx10_tx_data_vio_async_in_i(31 downto 0)    <= "00000000000000000000000000000000";
    gtx10_tx_data_vio_sync_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx10_rx_data_vio_async_in_i(31)             <= gtx10_rxplllkdet_i;
    gtx10_rx_data_vio_async_in_i(30)             <= gtx10_rxresetdone_i;
    gtx10_rx_data_vio_async_in_i(29 downto 0)    <= "000000000000000000000000000000";
    gtx10_rx_data_vio_sync_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx10_pllrxreset_i                           <= rx_data_vio_async_out_i(31);
    gtx10_rxpowerdown_i                          <= rx_data_vio_async_out_i(30 downto 29);
    gtx10_ila_in_i(84 downto 83)                 <= gtx10_rxcharisk_i;
    gtx10_ila_in_i(82 downto 81)                 <= gtx10_rxdisperr_i;
    gtx10_ila_in_i(80 downto 79)                 <= gtx10_rxnotintable_i;
    gtx10_ila_in_i(78 downto 76)                 <= gtx10_rxclkcorcnt_i;
    gtx10_ila_in_i(75 downto 60)                 <= gtx10_rxdata_i;
    gtx10_ila_in_i(59 downto 52)                 <= gtx10_error_count_i;
    gtx10_ila_in_i(51 downto 0)                  <= "0000000000000000000000000000000000000000000000000000";

    -- Chipscope connections on GTX 11
    gtx11_tx_data_vio_async_in_i(31 downto 0)    <= "00000000000000000000000000000000";
    gtx11_tx_data_vio_sync_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx11_rx_data_vio_async_in_i(31)             <= gtx11_rxplllkdet_i;
    gtx11_rx_data_vio_async_in_i(30)             <= gtx11_rxresetdone_i;
    gtx11_rx_data_vio_async_in_i(29 downto 0)    <= "000000000000000000000000000000";
    gtx11_rx_data_vio_sync_in_i(31 downto 0)     <= "00000000000000000000000000000000";
    gtx11_pllrxreset_i                           <= rx_data_vio_async_out_i(31);
    gtx11_rxpowerdown_i                          <= rx_data_vio_async_out_i(30 downto 29);
    gtx11_ila_in_i(84 downto 83)                 <= gtx11_rxcharisk_i;
    gtx11_ila_in_i(82 downto 81)                 <= gtx11_rxdisperr_i;
    gtx11_ila_in_i(80 downto 79)                 <= gtx11_rxnotintable_i;
    gtx11_ila_in_i(78 downto 76)                 <= gtx11_rxclkcorcnt_i;
    gtx11_ila_in_i(75 downto 60)                 <= gtx11_rxdata_i;
    gtx11_ila_in_i(59 downto 52)                 <= gtx11_error_count_i;
    gtx11_ila_in_i(51 downto 0)                  <= "0000000000000000000000000000000000000000000000000000";


    --Mux inputs to Chipscope modules based on mux_sel_i

    tx_data_vio_async_in_i              <=      gtx0_tx_data_vio_async_in_i when (mux_sel_i = "0000")
                                        else    gtx1_tx_data_vio_async_in_i when (mux_sel_i = "0001")
                                        else    gtx2_tx_data_vio_async_in_i when (mux_sel_i = "0010")
                                        else    gtx3_tx_data_vio_async_in_i when (mux_sel_i = "0011")
                                        else    gtx4_tx_data_vio_async_in_i when (mux_sel_i = "0100")
                                        else    gtx5_tx_data_vio_async_in_i when (mux_sel_i = "0101")
                                        else    gtx6_tx_data_vio_async_in_i when (mux_sel_i = "0110")
                                        else    gtx7_tx_data_vio_async_in_i when (mux_sel_i = "0111")
                                        else    gtx8_tx_data_vio_async_in_i when (mux_sel_i = "1000")
                                        else    gtx9_tx_data_vio_async_in_i when (mux_sel_i = "1001")
                                        else    gtx10_tx_data_vio_async_in_i when (mux_sel_i = "1010")
                                        else    gtx11_tx_data_vio_async_in_i;


    tx_data_vio_sync_in_i               <=      gtx0_tx_data_vio_sync_in_i when (mux_sel_i = "0000")
                                        else    gtx1_tx_data_vio_sync_in_i when (mux_sel_i = "0001")
                                        else    gtx2_tx_data_vio_sync_in_i when (mux_sel_i = "0010")
                                        else    gtx3_tx_data_vio_sync_in_i when (mux_sel_i = "0011")
                                        else    gtx4_tx_data_vio_sync_in_i when (mux_sel_i = "0100")
                                        else    gtx5_tx_data_vio_sync_in_i when (mux_sel_i = "0101")
                                        else    gtx6_tx_data_vio_sync_in_i when (mux_sel_i = "0110")
                                        else    gtx7_tx_data_vio_sync_in_i when (mux_sel_i = "0111")
                                        else    gtx8_tx_data_vio_sync_in_i when (mux_sel_i = "1000")
                                        else    gtx9_tx_data_vio_sync_in_i when (mux_sel_i = "1001")
                                        else    gtx10_tx_data_vio_sync_in_i when (mux_sel_i = "1010")
                                        else    gtx11_tx_data_vio_sync_in_i;

    rx_data_vio_async_in_i              <=      gtx0_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0000")
                                        else    gtx1_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0001")
                                        else    gtx2_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0010")
                                        else    gtx3_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0011")
                                        else    gtx4_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0100")
                                        else    gtx5_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0101")
                                        else    gtx6_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0110")
                                        else    gtx7_rx_data_fifo_vio_async_in_i when (mux_sel_i = "0111")
                                        else    gtx8_rx_data_fifo_vio_async_in_i when (mux_sel_i = "1000")
                                        else    gtx9_rx_data_fifo_vio_async_in_i when (mux_sel_i = "1001")
                                        else    gtx10_rx_data_fifo_vio_async_in_i when (mux_sel_i = "1010")
                                        else    gtx11_rx_data_fifo_vio_async_in_i;


    rx_data_vio_sync_in_i               <=      gtx0_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0000")
                                        else    gtx1_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0001")
                                        else    gtx2_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0010")
                                        else    gtx3_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0011")
                                        else    gtx4_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0100")
                                        else    gtx5_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0101")
                                        else    gtx6_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0110")
                                        else    gtx7_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "0111")
                                        else    gtx8_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "1000")
                                        else    gtx9_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "1001")
                                        else    gtx10_rx_data_fifo_vio_sync_in_i when (mux_sel_i = "1010")
                                        else    gtx11_rx_data_fifo_vio_sync_in_i;


    ila_in_i                            <=      gtx0_fifo_ila_in_i when (mux_sel_i = "0000")
                                        else    gtx1_fifo_ila_in_i when (mux_sel_i = "0001")
                                        else    gtx2_fifo_ila_in_i when (mux_sel_i = "0010")
                                        else    gtx3_fifo_ila_in_i when (mux_sel_i = "0011")
                                        else    gtx4_fifo_ila_in_i when (mux_sel_i = "0100")
                                        else    gtx5_fifo_ila_in_i when (mux_sel_i = "0101")
                                        else    gtx6_fifo_ila_in_i when (mux_sel_i = "0110")
                                        else    gtx7_fifo_ila_in_i when (mux_sel_i = "0111")
                                        else    gtx8_fifo_ila_in_i when (mux_sel_i = "1000")
                                        else    gtx9_fifo_ila_in_i when (mux_sel_i = "1001")
                                        else    gtx10_fifo_ila_in_i when (mux_sel_i = "1010")
                                        else    gtx11_fifo_ila_in_i;


end generate chipscope;


no_chipscope : if EXAMPLE_USE_CHIPSCOPE = 0 generate

    -- If Chipscope is not being used, drive GTX reset signal
    -- from the top level ports
    gtx0_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx1_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx2_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx3_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx4_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx5_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx6_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx7_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx8_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx9_gtxrxreset_i                            <= GTXRXRESET_IN;
    gtx10_gtxrxreset_i                           <= GTXRXRESET_IN;
    gtx11_gtxrxreset_i                           <= GTXRXRESET_IN;

    -- assign resets for frame_gen modules
    -- assign resets for frame_check modules
    gtx0_rx_system_reset_c                       <= not gtx0_rxresetdone_r3;
    gtx1_rx_system_reset_c                       <= not gtx1_rxresetdone_r3;
    gtx2_rx_system_reset_c                       <= not gtx2_rxresetdone_r3;
    gtx3_rx_system_reset_c                       <= not gtx3_rxresetdone_r3;
    gtx4_rx_system_reset_c                       <= not gtx4_rxresetdone_r3;
    gtx5_rx_system_reset_c                       <= not gtx5_rxresetdone_r3;
    gtx6_rx_system_reset_c                       <= not gtx6_rxresetdone_r3;
    gtx7_rx_system_reset_c                       <= not gtx7_rxresetdone_r3;
    gtx8_rx_system_reset_c                       <= not gtx8_rxresetdone_r3;
    gtx9_rx_system_reset_c                       <= not gtx9_rxresetdone_r3;
    gtx10_rx_system_reset_c                      <= not gtx10_rxresetdone_r3;
    gtx11_rx_system_reset_c                      <= not gtx11_rxresetdone_r3;

    gtxrxreset_i                                 <= tied_to_ground_i;
    user_tx_reset_i                              <= tied_to_ground_i;
    user_rx_reset_i                              <= tied_to_ground_i;
    mux_sel_i                                    <= tied_to_ground_vec_i(3 downto 0);
    gtx0_pllrxreset_i                            <= tied_to_ground_i;
    gtx0_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx1_pllrxreset_i                            <= tied_to_ground_i;
    gtx1_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx2_pllrxreset_i                            <= tied_to_ground_i;
    gtx2_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx3_pllrxreset_i                            <= tied_to_ground_i;
    gtx3_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx4_pllrxreset_i                            <= tied_to_ground_i;
    gtx4_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx5_pllrxreset_i                            <= tied_to_ground_i;
    gtx5_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx6_pllrxreset_i                            <= tied_to_ground_i;
    gtx6_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx7_pllrxreset_i                            <= tied_to_ground_i;
    gtx7_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx8_pllrxreset_i                            <= tied_to_ground_i;
    gtx8_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx9_pllrxreset_i                            <= tied_to_ground_i;
    gtx9_rxpowerdown_i                           <= tied_to_ground_vec_i(1 downto 0);
    gtx10_pllrxreset_i                           <= tied_to_ground_i;
    gtx10_rxpowerdown_i                          <= tied_to_ground_vec_i(1 downto 0);
    gtx11_pllrxreset_i                           <= tied_to_ground_i;
    gtx11_rxpowerdown_i                          <= tied_to_ground_vec_i(1 downto 0);



end generate no_chipscope;


end RTL;


